<?php

/*
Plugin Name: Foldio360
Plugin URI: #
Description: Its a 360 product image rotation plugin use for WooCommerce applications, user can ulooad and show images on product section.
Author: Foldio360
Version: 1.0.0
Author URI: ''
License: GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/


//Exit if someone acess directly
if(!defined('ABSPATH'))
{
    exit;
}

require_once(dirname(__FILE__)."/foldio_plugin.php");
require_once(dirname(__FILE__)."/foldioImageList.php");
require_once(dirname(__FILE__)."/foldioSortCodeNew360Img.php");



register_activation_hook( __FILE__, 'WordPress_foldio360_activate');
register_deactivation_hook( __FILE__, 'WordPress_foldio360_deactivate');


function foldio_admin_actions() {
    if(current_user_can('administrator')){
        add_menu_page("Foldio360","Foldio360", 'manage_options', "foldio_page_of_admin", "foldio_page_of_admin", plugin_dir_url(__FILE__).'images/foldio-menu-icon.png' ,10);
        add_submenu_page('foldio_page_of_admin', 'Custom Setting', 'Custom Setting', 'manage_options', 'foldio_page_of_admin' );
        add_submenu_page( 'foldio_page_of_admin', 'License', 'License', 'manage_options', 'license', 'foldio_page_license_of_admin' );

    }
}

add_action('admin_menu', 'foldio_admin_actions');
/*function foldio_admin_license_actions() {
   add_submenu_page( 'foldio_page_of_admin', 'License', 'License', 'manage_options', 'foldio_page_license_of_admin', 'foldio_page_license_of_admin' );
}*/
//add_action('admin_menu', 'foldio_admin_license_actions' );

function foldio_page_of_admin(){
    require_once( plugin_dir_path( __File__ ) . 'settings/Settings_foldio.php');

}
function foldio_page_license_of_admin(){
    require_once( plugin_dir_path( __File__ ) . 'settings/License_page.php');
}

function my_enqueue_js($hook) {
    // Only add to the edit.php admin page.
    // See WP docs.
   /* if ('edit.php' !== $hook) {
        return;
    }*/
       wp_enqueue_script('my_foldio_script-watermark', plugin_dir_url(__FILE__) . '/js/jquery.watermark.js');
       wp_enqueue_script('my_foldio_script', plugin_dir_url(__FILE__) . '/js/foldio360.js');
       wp_enqueue_script('my_foldio_specificSetting360', plugin_dir_url(__FILE__) . '/js/specificSetting360.js');
       wp_enqueue_script('my_foldio_shortCodeSpecificSetting', plugin_dir_url(__FILE__) . 'js/shortCodeSpecificSetting.js');
       //wp_enqueue_script('my-spiffy-miodal',       // handle
          // get_template_directory_uri(),       // source
           //array('jquery-ui-dialog')); // dependencies
       // A style available in WP
       wp_enqueue_style('wp-jquery-ui-dialog');
       wp_enqueue_style('jquery_ui_style_foldio', plugin_dir_url(__FILE__) . '/css/foldio.css');
       wp_localize_script('my_foldio_script', 'foldio_ajax', array('foldioEditor' => render_php('template/foldioEditor.php'),
           'shortCodeImageList' => render_php('template/shortCodeImageList.php'),
           'shortCodeSetting' => render_php('template/shortCodeSpecificSetting.php'), 'plugin_url' => plugin_dir_url(__FILE__), 'ajax' => get_site_url() . '/wp-admin/admin-ajax.php', 'nonce' => wp_create_nonce('magic-everywhere')));
       wp_enqueue_style('settings_foldio_360_css', plugin_dir_url(__FILE__) . '/css/settings_foldio_360.css');
       wp_enqueue_style('jquery_ui_style_toggle_switch', plugin_dir_url(__FILE__) . '/css/toggle-switch.css');
       wp_enqueue_style('settings_foldio_360_button_icon_css', plugin_dir_url(__FILE__) . '/css/foldio360_button-icon.css');
    }

    add_action( 'admin_enqueue_scripts',     'foldio360_admin_scripts' );
    function foldio360_admin_scripts(){
        wp_enqueue_script( 'jquery-ui-dialog' );
        wp_enqueue_style( 'wp-jquery-ui-dialog' );
    }

    function my_foldio_360viewer_page_enqueue_js($hook) {
        wp_enqueue_style('jquery_ui_style_foldio360_frontend',plugin_dir_url(__FILE__). '/css/foldio360_frontend.css');
    }
    add_action('wp_enqueue_scripts', 'my_foldio_360viewer_page_enqueue_js');
    add_action('admin_enqueue_scripts', 'my_enqueue_js');




    function wptuts_scripts_with_jquery() {
        wp_enqueue_script( 'custom-script', plugin_dir_url(__FILE__) . '/js/foldio360viwer.js', array( 'jquery' ));

    }
    add_action( 'wp_enqueue_scripts', 'wptuts_scripts_with_jquery' );


add_action("wp_ajax_store_360_image_data", "store_360_image_data");
add_action("wp_ajax_get_360_image_data", "get_360_image_data");
add_action("wp_ajax_update_360_image_data", "update_360_image_data");
add_action("wp_ajax_delete_360_image_data", "delete_360_image_data");

add_action("wp_ajax_store_foldio360_images_list_data", "store_foldio360_images_list_data");
add_action("wp_ajax_get_foldio360_image_list_data", "get_foldio360_image_list_data");
add_action("wp_ajax_get_foldio360_image_list_data_on_page_loading", "get_foldio360_image_list_data_on_page_loading");
add_action("wp_ajax_update_foldio360_image_list_data", "update_foldio360_image_list_data");
add_action("wp_ajax_update_foldio360_image_list_data_on_updated", "update_foldio360_image_list_data_on_updated");
add_action("wp_ajax_delete_foldio360_image_list_data", "delete_foldio360_image_list_data");
add_action("wp_ajax_upload_foldio360_image_list_file", "upload_foldio360_image_list_file");
add_action("wp_ajax_foldio360_description_img_save", "foldio360_description_img_save");

add_action("wp_ajax_save_specific_setting_data_shortcode", "save_specific_setting_data_shortcode");
add_action("wp_ajax_foldio360_shortcode_product_search", "foldio360_shortcode_product_search");
add_action("wp_ajax_foldio360_shortcode_product_upload", "foldio360_shortcode_product_upload");
add_action("wp_ajax_store_foldio360_images_list_data_for_shortcode", "store_foldio360_images_list_data_for_shortcode");
add_action("wp_ajax_get_image_list_for_shortcode_on_edit_page", "get_image_list_for_shortcode_on_edit_page");
add_action("wp_ajax_save_update_specific_setting_data_shortcode", "save_update_specific_setting_data_shortcode");
add_action("wp_ajax_store_and_Update_foldio360_images_list_data_for_shortcode", "store_and_Update_foldio360_images_list_data_for_shortcode");
add_action("wp_ajax_foldio360_shortCode_upload_viewer", "foldio360_shortCode_upload_viewer");
add_action("wp_ajax_get_all_foldio360_bundle_image_first_id", "get_all_foldio360_bundle_image_first_id");


/*
 * prepare html for foldio360
 * */
function render_php($path)
{
    ob_start();
    include($path);
    $var=ob_get_contents();
    ob_end_clean();
    return $var;
}
if (!is_admin()){
    /*require_once(dirname(__FILE__)."/foldio360Viewer.php");
   add_action( 'woocommerce_single_product_summary', 'imagetoolbox_WordPress_foldio360image_shortcode', 45 );
    require_once(dirname(__FILE__)."/shortCodeViewer.php");
    add_shortcode('360image', 'foldio360_shortCode_viewer');*/
    add_action('woocommerce_before_single_product', 'woocommerce_single_product' );
    function woocommerce_single_product() {
        require_once(dirname(__FILE__)."/foldio360Viewer.php");
        add_action( 'woocommerce_single_product_summary', 'imagetoolbox_WordPress_foldio360image_shortcode', 45 );
        require_once(dirname(__FILE__)."/shortCodeViewer.php");
        add_shortcode('360image', 'foldio360_shortCode_viewer');
    }
}

//add_shortcode('360image', 'imagetoolbox_WordPress_foldio360image_shortcode');

function modify_post_mime_types( $post_mime_types ) {

    $post_mime_types['foldio360bundle'] = array( ( '360 bundle' ), ( 'Manage PDFs' ), _n_noop( 'PDF <span class="count">(%s)</span>', 'Foldio 360 <span class="count">(%s)</span>' ) );

// then we return the $post_mime_types variable
    return $post_mime_types;

}

// Add Filter Hook
add_filter( 'post_mime_types', 'modify_post_mime_types' );

function get_all_foldio360_bundle_image_first_id(){
    global $wpdb;
    $table_name = $wpdb->prefix . 'foldio360_store';
    $table_posts = $wpdb->prefix . 'posts';
    $results = $wpdb->get_results("SELECT first_img_id FROM ".$table_name." where first_img_id in ( Select id from ".$table_posts." where post_type = 'attachment' ) ORDER BY id ASC");

    $resp = array('data' =>$results) ;
    wp_send_json($resp);
}
//woocommerce duplicate product
add_action( 'woocommerce_product_duplicate', 'duplicate_product_create', 10, 2 );
function duplicate_product_create($duplicate){
    global $wpdb;
    $old_post_id = sanitize_text_field($_REQUEST['post']);
    $product_id = $duplicate->save();
    $table_name = $wpdb->prefix . 'foldio360_images_list';
    $results = $wpdb->get_results("SELECT * FROM ".$table_name." WHERE product_id ="."'".$old_post_id."'");
    update_post_meta($product_id, 'foldio360-on-off-image-list', 'on');
    foreach ($results as $imgData){
        $r = $wpdb->insert($table_name, array(
            'product_id' => $product_id, 'position' => $imgData->position,
            'product_title' => $imgData->product_title, 'image_id' => $imgData->image_id,
            'title' => $imgData->title, 'filename' => $imgData->filename,
            'url' => $imgData->url, 'link' => $imgData->link,
            'alt' => $imgData->alt, 'author' => $imgData->author,
            'description' => $imgData->description, 'caption' => $imgData->caption,
            'name' => $imgData->name, 'status' => $imgData->status,
            'date' => $imgData->date, 'modified' => $imgData->modified,
            'menuOrder' => $imgData->menuOrder, 'mime' => $imgData->mime,
            'type' => $imgData->type, 'subtype' => $imgData->subtype,
            'icon' => $imgData->icon, 'dateFormatted' => $imgData->dateFormatted,
            'nonces_update' => $imgData->nonces_update, 'nonces_delete' => $imgData->nonces_delete,
            'nonces_edit' => $imgData->nonces_edit, 'editLink' => $imgData->editLink,
            'meta' => $imgData->meta, 'authorName' => $imgData->authorName,
            'filesizeInBytes' => $imgData->filesizeInBytes, 'filesizeHumanReadable' => $imgData->filesizeHumanReadable,
            'context' => $imgData->context, 'height' => $imgData->height,
            'width' => $imgData->width, 'orientation' => $imgData->orientation,
            'sizes_thumbnail_height' => $imgData->sizes_thumbnail_height, 'sizes_thumbnail_width' => $imgData->sizes_thumbnail_width,
            'sizes_thumbnail_url' => $imgData->sizes_thumbnail_url, 'sizes_thumbnail_orientation' => $imgData->sizes_thumbnail_orientation,
            'sizes_medium_height' => $imgData->sizes_medium_height, 'sizes_medium_width' => $imgData->sizes_medium_width,
            'sizes_medium_url' => $imgData->sizes_medium_url, 'sizes_medium_orientation' => $imgData->sizes_medium_orientation,
            'sizes_full_url' => $imgData->sizes_full_url, 'sizes_full_height' => $imgData->sizes_full_height,
            'sizes_full_width' => $imgData->sizes_full_width, 'sizes_full_orientation' => $imgData->sizes_full_orientation,
            'compat_item' => $imgData->compat_item, 'compat_meta' => $imgData->compat_meta,
            'image_json'=>$imgData->image_json,
        ));

    }

}
function foldio_mime_types($mime_types){
    unset($mime_types["asf|asx"]);
    unset($mime_types["wmv"]);
    unset($mime_types["wmx"]);
    unset($mime_types["wm"]);
    unset($mime_types["avi"]);
    unset($mime_types["divx"]);
    unset($mime_types["flv"]);
    unset($mime_types["mov|qt"]);
    unset($mime_types["mpeg|mpg|mpe"]);
    unset($mime_types["mp4|m4v"]);
    unset($mime_types["ogv"]);
    unset($mime_types["webm"]);
    unset($mime_types["3gp|3gpp"]);
    unset($mime_types["3g2|3gp2"]);
    return $mime_types;
}
add_filter('upload_mimes', 'foldio_mime_types', 1, 1);

add_filter('wp_handle_upload_prefilter', 'foldio360_wpse_70946_handle_upload_prefilter');
add_filter('wp_handle_upload', 'foldio360_wpse_70946_handle_upload');

function foldio360_wpse_70946_handle_upload_prefilter( $file )
{
    add_filter('upload_dir', 'foldio360_wpse_70946_custom_upload_dir');
    return $file;
}

function foldio360_wpse_70946_handle_upload( $fileinfo )
{
    remove_filter('upload_dir', 'foldio360_wpse_70946_custom_upload_dir');
    return $fileinfo;
}

function foldio360_wpse_70946_custom_upload_dir($path)
{
    /*
     * Determines if uploading from inside a post/page/cpt - if not, default Upload folder is used
     */
    $post_id = sanitize_text_field($_REQUEST['post_id']);
    $use_default_dir = ($post_id == 0 ) ? true : false;
    if( !empty( $path['error'] ) || $use_default_dir )
        return $path; // Error: not uploading from a post/page/cpt

    $the_post = get_post($post_id);
    $y = date( 'Y');
    $m = date( 'm');
    $d = date( 'd');
    $random_number = wp_rand( 1, 10000000 );

    $customdir = '/' . $y . '/' . $m . '/' . $d . '/' . $random_number;

    $path['path']    = str_replace($path['subdir'], '', $path['path']); //remove default subdir (year/month)
    $path['url']     = str_replace($path['subdir'], '', $path['url']);
    $path['subdir']  = $customdir;
    $path['path']   .= $customdir;
    $path['url']    .= $customdir;

    return $path;
}
/*// licence code*/
add_action("wp_ajax_foldio_license_auth", "foldio_license_auth");
add_action("wp_ajax_save_foldio360_license_key", "save_foldio360_license_key");
add_action("wp_ajax_delete_foldio360_license_key", "delete_foldio360_license_key");
add_action("wp_ajax_check_foldio360_license_validation", "check_foldio360_license_validation");
add_action("wp_ajax_foldio360_license_deactivate", "foldio360_license_deactivate");
add_action("wp_ajax_foldio360_license_key_details", "foldio360_license_key_details");

function foldio360_license_deactivate(){
    $license_key = sanitize_text_field($_POST['license_key']);
    //$host_url = 'http://localhost/wordpress';
    $host_url = 'https://plugin.orangemonkie.com';

    $response = wp_remote_get("{$host_url}/wp-json/wp/v2/flm/license/deactivate?license_key={$license_key}");

    return wp_send_json(json_decode($response['body']));

}
register_activation_hook( __FILE__, 'foldio360_licence_table_on_activation' );
function foldio360_licence_table_on_activation(){
    // create the custom table
    global $wpdb;

    $table_name = $wpdb->prefix . 'foldio360_licence_details';
    $charset_collate = $wpdb->get_charset_collate();

    $sql = "CREATE TABLE IF NOT EXISTS $table_name (
        id bigint(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
        foldio360_license_key varchar(50) NOT NULL default '',foldio360_createdAt_date varchar(150) DEFAULT NULL,foldio360_expiresAt_date varchar(150) DEFAULT NULL ,order_id varchar(150) DEFAULT NULL ) $charset_collate;";

    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
    dbDelta( $sql );
}

function foldio_license_auth(){
    $license_key =  sanitize_text_field($_POST['license_key']);
    //$host_url = 'http://localhost/wordpress';
    $host_url = 'https://plugin.orangemonkie.com';

    $response = wp_remote_get("{$host_url}/wp-json/wp/v2/flm/auth?license_key={$license_key}");

    return wp_send_json(json_decode($response['body']));

}
function foldio360_license_key_details(){
    $license_key =  sanitize_text_field($_POST['license_key']);
    $host_url = 'https://plugin.orangemonkie.com';
    $response = wp_remote_get("{$host_url}/wp-json/wp/v2/flm/license/key?license_key={$license_key}");

    return wp_send_json(json_decode($response['body']));

}

function save_foldio360_license_key(){
    $license_key =   sanitize_text_field($_POST['license_key']);
    update_option('foldio360_license_key',$license_key);
    $foldio360_license_key = $license_key;
    global $wpdb;
    $table_name = $wpdb->prefix . 'foldio360_licence_details';
    $wpdb->insert($table_name, array(
   "foldio360_license_key" => $foldio360_license_key,
   "foldio360_createdAt_date" => sanitize_text_field($_POST['createdAt_date']),
   "foldio360_expiresAt_date" => sanitize_text_field($_POST['expiresAt_date']),
   "order_id" => sanitize_text_field($_POST['order_id'])
));

}
function delete_foldio360_license_key(){
    global $wpdb;
    $table_name = $wpdb->prefix . 'foldio360_licence_details';
    $delete = $wpdb->query("DELETE FROM `".$table_name."`");

}


function get_foldio360_license_key_order_details(){

}

function check_foldio360_license_validation(){
    $license_key =  sanitize_text_field($_POST['license_key']);
    //$host_url = 'http://localhost/wordpress';
    $host_url = 'https://plugin.orangemonkie.com';

    $response = wp_remote_get("{$host_url}/wp-json/wp/v2/flm/validate/license?license_key={$license_key}");

    return wp_send_json(json_decode($response['body']));
}
/* licence code*/

// define the woocommerce_product_duplicate_before_save callback
function foldio360_action_woocommerce_product_duplicate_before_save( $duplicate, $product ) {
    global $wpdb;
    $table_name = $wpdb->prefix . 'foldio360_images_list';
    $post_id = $product->id;
    // WP_Query arguments
    $args = array(
        'post_type' => get_post_types(),
        'posts_per_page'         => '1',
        'order'                  => 'DESC',
        'orderby'                => 'id',
    );

    $query = new WP_Query($args);

    if ( $query->have_posts() ) {
        while ( $query->have_posts() ) {
            $query->the_post();
            $new_post_id = get_the_id() + 1;
        }
    }
    $results = $wpdb->get_results("SELECT * FROM ".$table_name." WHERE product_id ='$post_id'");
    foreach ($results as $result){
        $data = [
            'product_id'=>$new_post_id, 'position'=>$result->position,
            'product_title'=>$result->product_title, 'image_id'=>$result->image_id,
            'title'=>$result->title, 'filename'=>$result->filename,
            'url'=>$result->url, 'link'=>$result->link,
            'alt'=>$result->alt, 'author'=>$result->author,
            'description'=>$result->description, 'caption'=>$result->caption,
            'name'=>$result->name, 'status'=>$result->status,
            'date'=>$result->date, 'modified'=>$result->modified,
            'menuOrder'=>$result->menuOrder, 'mime'=>$result->mime,
            'type'=>$result->type, 'subtype'=>$result->subtype,
            'icon'=>$result->icon, 'dateFormatted'=>$result->dateFormatted,
            'nonces_update'=>$result->nonces_update, 'nonces_delete'=>$result->nonces_delete,
            'nonces_edit'=>$result->nonces_edit, 'editLink'=>$result->editLink,
            'meta'=>$result->meta, 'authorName'=>$result->authorName,
            'filesizeInBytes'=>$result->filesizeInBytes,'filesizeHumanReadable'=>$result->filesizeHumanReadable,
            'context'=>$result->context, 'height'=>$result->height,
            'width'=>$result->width, 'orientation'=>$result->orientation,
            'sizes_thumbnail_height'=>$result->sizes_thumbnail_height, 'sizes_thumbnail_width'=>$result->sizes_thumbnail_width,
            'sizes_thumbnail_url'=>$result->sizes_thumbnail_url,'sizes_thumbnail_orientation'=>$result->sizes_thumbnail_orientation,
            'sizes_medium_height'=>$result->sizes_medium_height, 'sizes_medium_width'=>$result->sizes_medium_width,
            'sizes_medium_url'=>$result->sizes_medium_url, 'sizes_medium_orientation'=>$result->sizes_medium_orientation,
            'sizes_full_url'=>$result->sizes_full_url, 'sizes_full_height'=>$result->sizes_full_height,
            'compat_item'=>$result->compat_item, 'compat_meta'=>$result->compat_meta,
            'image_json'=>$result->image_json, 'is_updated'=>$result->is_updated,
        ];
        $r = $wpdb->insert($table_name,$data);
    }
};

// add the action
add_action( 'woocommerce_product_duplicate_before_save', 'foldio360_action_woocommerce_product_duplicate_before_save', 10, 2 );
?>
