<?php


function foldio360_image_list_get(){
    $post_id  = isset($_GET['post']) ? sanitize_text_field($_GET['post']) : '';
    wp_enqueue_script( 'foldio360-image_list', get_stylesheet_directory_uri() . '/js/foldio360.js');
    wp_localize_script( 'foldio360-image_list', 'image_list', array(
        'post_id' => $post_id,
    ));
    global $wpdb;
    $table_name = $wpdb->prefix . 'foldio360_images_list';
    $result =$wpdb->delete($table_name,['product_id' => $post_id,'is_updated'=>'0']);

}
add_action('admin_init','foldio360_image_list_get');

function store_foldio360_images_list_data($data){
    global $wpdb;
    $product = wc_get_product(sanitize_text_field($_POST['product_id']) );
    $product_title = isset($_POST['post_title']) ? sanitize_text_field($_POST['post_title']) : '' ;
    $json_decode_images =  json_decode( html_entity_decode( stripslashes (sanitize_text_field($_POST['attachment'])) ),true );

    $is_updated = 0;
    if ($_POST['is_updated']){
        $is_updated = 1;
    }
    foreach ($json_decode_images as $imgData){

        $img_id = sanitize_text_field($imgData['id']);
         $post_id = sanitize_text_field($_POST['product_id']);
        $title = sanitize_text_field($imgData['title']) ?? '';
        $filename = sanitize_text_field($imgData['filename']) ?? '';
        $url = sanitize_text_field($imgData['url']) ?? '';
        $link = sanitize_text_field($imgData['link']) ?? '';
        $alt = sanitize_text_field($imgData['alt']) ?? '';
        $author = sanitize_text_field($imgData['author']) ?? '';
        $description = sanitize_text_field($imgData['description']) ?? '';
        $caption = sanitize_text_field($imgData['caption']) ?? '';
        $name = sanitize_text_field($imgData['name']) ?? '';
        $status = sanitize_text_field($imgData['status']) ?? '';
        $date = sanitize_text_field($imgData['date']) ?? '';
        $modified = sanitize_text_field($imgData['modified']) ?? '';
        $menuOrder = sanitize_text_field($imgData['menuOrder']) ?? '';
        $mime = sanitize_text_field($imgData['mime']) ?? '';
        $type = sanitize_text_field($imgData['type']) ?? '';
        $subtype = sanitize_text_field($imgData['subtype']) ?? '';
        $icon = sanitize_text_field($imgData['icon']) ?? '';
        $dateFormatted = sanitize_text_field($imgData['dateFormatted']) ?? '';
        $nonces_update = sanitize_text_field($imgData['nonces']['update']) ?? '';
        $nonces_delete = sanitize_text_field($imgData['nonces']['delete']) ?? '';
        $nonces_edit = sanitize_text_field($imgData['nonces']['edit']) ?? '';
        $editLink = sanitize_text_field($imgData['editLink']) ?? '';
        $meta = sanitize_text_field($imgData['meta']) ?? '';
        $authorName = sanitize_text_field($imgData['authorName']) ?? '';
        $filesizeInBytes = sanitize_text_field($imgData['filesizeInBytes']) ?? '';
        $filesizeHumanReadable = sanitize_text_field($imgData['filesizeHumanReadable']) ?? '';
        $context = sanitize_text_field($imgData['context']) ?? '';
        $height = sanitize_text_field($imgData['height']) ?? '';
        $width = sanitize_text_field($imgData['width']) ?? '';
        $orientation = sanitize_text_field($imgData['orientation']) ?? '';
        $sizes_thumbnail_height = sanitize_text_field($imgData['sizes']['thumbnail']['height']) ?? '';
        $sizes_thumbnail_width = sanitize_text_field($imgData['sizes']['thumbnail']['width']) ?? '';
        $sizes_thumbnail_url = sanitize_text_field($imgData['sizes']['thumbnail']['url']) ?? '';
        $sizes_thumbnail_orientation = sanitize_text_field($imgData['sizes']['thumbnail']['orientation']) ?? '';
        $sizes_medium_height = sanitize_text_field($imgData['sizes']['medium']['height']) ?? '';
        $sizes_medium_width = sanitize_text_field($imgData['sizes']['medium']['width']) ?? '';
        $sizes_medium_url = sanitize_text_field($imgData['sizes']['medium']['url']) ?? '';
        $sizes_medium_orientation = sanitize_text_field($imgData['sizes']['medium']['orientation']) ?? '';
        $sizes_full_url = sanitize_text_field($imgData['sizes']['full']['url']) ?? '';
        $sizes_full_height = sanitize_text_field($imgData['sizes']['full']['height']) ?? '';
        $sizes_full_width = sanitize_text_field($imgData['sizes']['full']['width']) ?? '';
        $sizes_full_orientation = sanitize_text_field($imgData['sizes']['full']['orientation']) ?? '';
        $compat_item = sanitize_text_field($imgData['sizes']['full']['orientation']) ?? '';
        $compat_meta = sanitize_text_field($imgData['sizes']['full']['orientation']) ?? '';
        $image_json = sanitize_text_field(json_encode($imgData));
        $table_name = $wpdb->prefix . 'foldio360_images_list';
        $results = $wpdb->get_results("SELECT Max(position) as position FROM ".$table_name." WHERE product_id =".$post_id);
        $position_id = $results['0']->position+1;
        $r = $wpdb->insert($table_name, array(
            'product_id' => $post_id,'position' => $position_id,'image_id' => $img_id, 'title' => $title,
            'filename' => $filename, 'url' => $url,'link' => $link, 'alt' => $alt,
            'author' => $author, 'description' => $description,'caption' => $caption, 'name' => $name,
            'status' => $status,  'date' => $date, 'modified' => $modified,
            'menuOrder' => $menuOrder, 'mime' => $mime, 'type' => $type, 'subtype' => $subtype,
            'icon' => $icon, 'dateFormatted' => $dateFormatted, 'nonces_update' => $nonces_update,
            'nonces_delete' => $nonces_delete, 'nonces_edit' => $nonces_edit, 'editLink' => $editLink,
            'meta' => $meta, 'authorName' => $authorName,'filesizeInBytes' => $filesizeInBytes,
            'filesizeHumanReadable' => $filesizeHumanReadable, 'context' => $context,
            'height' => $height,'width' => $width, 'orientation' => $orientation,
            'sizes_thumbnail_height' => $sizes_thumbnail_height,'sizes_thumbnail_width' => $sizes_thumbnail_width,
            'sizes_thumbnail_url' => $sizes_thumbnail_url,
            'sizes_thumbnail_orientation' => $sizes_thumbnail_orientation,
            'sizes_medium_height' => $sizes_medium_height, 'sizes_medium_width' => $sizes_medium_width,
            'sizes_medium_url' => $sizes_medium_url,'sizes_medium_orientation' => $sizes_medium_orientation, 'sizes_full_url' => $sizes_full_url,
            'sizes_full_height' => $sizes_full_height,'sizes_full_width' => $sizes_full_width, 'sizes_full_orientation' => $sizes_full_orientation,
            'compat_item' => $compat_item,'compat_meta' => $compat_meta,'image_json'=>$image_json,
            'product_title'=>$product_title,'is_updated' => $is_updated,
        ));

        if ($r) {
            $r = $wpdb->insert_id;
        }
        echo esc_html($r);
    }
    wp_die();

}
function get_foldio360_image_list_data_on_page_loading(){
    global $wpdb;
    if(!(is_array($_POST) && defined('DOING_AJAX') && DOING_AJAX)) { return; }
    $post_id = sanitize_text_field($_POST['post_id']);
    $table_name = $wpdb->prefix . 'foldio360_images_list';
    $results = $wpdb->get_results("SELECT id,url,name,filename FROM ".$table_name." WHERE product_id = '".$post_id."' AND is_updated = 1 ORDER BY position ASC");
    $img_src = plugin_dir_url(dirname(__FILE__)).plugin_basename( __DIR__ )."/images/import_360img.svg";
    if ($results){
        $html = "<div class='image-list'><ul tabindex='-1' class='attachments ui-sortable  connected-sortable droppable-area1' id='__attachments-view-45 foldio_image_list_div'>";
        foreach ($results as $result){

            $html = $html.'<li  id="li_image_list" tabindex="0" role="checkbox" aria-label="woocommerce-placeholder" aria-checked="false" data-id="5" class="attachment save-ready" >
                <span class="dashicons dashicons-dismiss hover-dashicons-dismiss" id="image_list_id"><input type="hidden" value="'.$result->id.'"></span>
                    <div class="attachment-preview js&#45;&#45;select-attachment type-image subtype-png landscape" id="'.$result->id.'">
                        <div class="thumbnail">
                            <div class="centered">
                                    <img src="'.$result->url.'" draggable="false" alt="">
                            </div>
                         </div>
                    </div>
                <button type="button" class="check" tabindex="-1"><span class="media-modal-icon"></span><span class="screen-reader-text">Deselect</span></button>
                <div class="image-name" style="">'.$result->name.'</div>   
               
                </li>';
        }
        $html = $html.'</ul></div>';
        $condition = "if";
    }else {
        $condition = "else";
        $html = '<p class="m-0 p-0 mb-0" style="margin-bottom:0px!important"><img src="'.$img_src.'" style="width: 110px;"></p>
                            <h2 class="upload-instructions drop-instructions m-0 p-0">Upload images</h2>
                            <p class="upload-instructions drop-instructions"></p>
                            <button type="button" class="browser button button-hero" id="foldio_media-btn" style="display: inline-block; position: relative; z-index: 1;">Select Files </button>';
    }
    $resp = array('html' =>$html,"condition"=>$condition) ;
    wp_send_json($resp);

}
function get_foldio360_image_list_data(){
    global $wpdb;
    if(!(is_array($_POST) && defined('DOING_AJAX') && DOING_AJAX)) { return; }
    $post_id = sanitize_text_field($_POST['post_id']);
    $table_name = $wpdb->prefix . 'foldio360_images_list';
    $results = $wpdb->get_results("SELECT id,url,name,filename FROM ".$table_name." WHERE product_id = '".$post_id."' ORDER BY position ASC");
    $img_src = plugin_dir_url(dirname(__FILE__)).plugin_basename( __DIR__ )."/images/import_360img.svg";
    if ($results){
        $html = "<div class='image-list'><ul tabindex='-1' class='attachments ui-sortable  connected-sortable droppable-area1' id='__attachments-view-45 foldio_image_list_div'>";
        foreach ($results as $result){

            $html = $html.'<li  id="li_image_list" tabindex="0" role="checkbox" aria-label="woocommerce-placeholder" aria-checked="false" data-id="5" class="attachment save-ready" >
                <span class="dashicons dashicons-dismiss hover-dashicons-dismiss" id="image_list_id"><input type="hidden" value="'.$result->id.'"></span>
                    <div class="attachment-preview js&#45;&#45;select-attachment type-image subtype-png landscape" id="'.$result->id.'">
                        <div class="thumbnail">
                            <div class="centered">
                                    <img src="'.$result->url.'" draggable="false" alt="">
                            </div>
                         </div>
                    </div>
                <button type="button" class="check" tabindex="-1"><span class="media-modal-icon"></span><span class="screen-reader-text">Deselect</span></button>
                <div class="image-name" style="">'.$result->name.'</div>   
               
                </li>';
        }
        $html = $html.'</ul></div>';
        $condition = "if";
    }else {
        $condition = "else";
        $html = '<p class="m-0 p-0 mb-0" style="margin-bottom:0px!important"><img src="'.$img_src.'" style="width: 110px;"></p>
                            <h2 class="upload-instructions drop-instructions m-0 p-0">Upload images</h2>
                            <p class="upload-instructions drop-instructions"></p>
                            <button type="button" class="browser button button-hero" id="foldio_media-btn" style="display: inline-block; position: relative; z-index: 1;">Select Files </button>';
    }
    $resp = array('html' =>$html,"condition"=>$condition) ;
    wp_send_json($resp);

}

function delete_foldio360_image_list_data(){
    global $wpdb;
    if(!(is_array($_POST) && defined('DOING_AJAX') && DOING_AJAX)) { return; }
    $product_id = sanitize_text_field($_POST['post_id']);
    $img_primary_id = sanitize_text_field($_POST['img_primary_id']);
    $json_decode = json_decode( html_entity_decode( stripslashes($img_primary_id)));
    $table_name = $wpdb->prefix . 'foldio360_images_list';

    if (!empty($img_primary_id)){
        foreach ($json_decode as $id){
            $result =$wpdb->delete($table_name,['id' => $id]);
        }
        wp_die(wp_json_encode($result));
    }else{
        $result =$wpdb->delete($table_name,['product_id' => $product_id]);
        wp_die(wp_json_encode($result));
    }
    return;

}

function update_foldio360_image_list_data(){
    global $wpdb;

    if(!(is_array($_POST) && defined('DOING_AJAX') && DOING_AJAX)) { return; }
    $nonce = isset($_POST['nonce']);

    /*if ( !wp_verify_nonce( $nonce, 'magic-everywhere' ) ) {
        $result = "\"verification failed\"";
    }*/
    $table_name = $wpdb->prefix . 'foldio360_images_list';
    $listItemsArrs  = isset($_POST['listItemsArr']);


    foreach ($listItemsArrs  as $listItemsArr){
        $result= $wpdb->update( $table_name,['position'=>$listItemsArr['position']],['id' => $listItemsArr['imageId']]);
    }

    wp_die(wp_json_encode($result));
}

function update_foldio360_image_list_data_on_updated(){
    global $wpdb;

    if(!(is_array($_POST) && defined('DOING_AJAX') && DOING_AJAX)) { return; }
    $nonce = isset($_POST['nonce']);
    //$id = (int)$_POST['id'];
    /*if ( !wp_verify_nonce( $nonce, 'magic-everywhere' ) ) {
        $result = "\"verification failed\"";
    }*/
    $table_name = $wpdb->prefix . 'foldio360_images_list';
    //$listItemsArrs  =$_POST['listItemsArr'];
    $product_id = sanitize_text_field($_POST['product_id']);
    // print_r($product_id);die;
    $result= $wpdb->update( $table_name,['is_updated'=>1],['product_id' => $product_id]);
    /*foreach ($listItemsArrs  as $listItemsArr){
        $result= $wpdb->update( $table_name,['is_updated'=>'1'],['product_id' => $listItemsArr['imageId']]);
    }*/

    wp_die(wp_json_encode($result));
}

function upload_foldio360_image_list_file(){
    $post_id = sanitize_text_field($_POST['post_id']);
    if(sanitize_text_field($_FILES['file']['name'])){
        $uploadedfile = isset($_FILES['file']) ? $_FILES['file'] : '';
        $upload_overrides = array( 'test_form' => false );
        $movefile = wp_handle_upload( $uploadedfile, $upload_overrides);

        if ( $movefile && ! isset( $movefile['error'] ) ) {
            $file = get_post_meta($post_id,'foldio360_specfic_setting_Watermark_file_path', true);
            if(file_exists($file)){
                @unlink($file);
            }
            update_post_meta($post_id, 'foldio360_specfic_setting_Watermark_file', $movefile['url']);
            update_post_meta($post_id, 'foldio360_specfic_setting_Watermark_file_path', $movefile['file']);
            update_post_meta($post_id, 'foldio360_specfic_setting_Watermark_file_name', sanitize_text_field($_FILES['file']['name']));
        }
    }
    $watermark_file = get_post_meta($post_id,'foldio360_specfic_setting_Watermark_file',true);
    $watermark_file_path = get_post_meta($post_id,'foldio360_specfic_setting_Watermark_file_path',true);
    $watermark_file_name = get_post_meta($post_id,'foldio360_specfic_setting_Watermark_file_name',true);

    $resp = array('Watermark_file'=>$watermark_file,
        'Watermark_file_path'=>$watermark_file_path,
        'Watermark_file_name'=>$watermark_file_name) ;
    wp_send_json($resp);

}


?>
