<?php

    if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Enable WP_DEBUG mode


// Use dev versions of core JS and CSS files (only needed if you are modifying these core files)
//define('SCRIPT_DEBUG', true);
function magictoolbox_WordPress_foldio360_imageList_create_tebles() {
    global $wpdb;
    $table_name = $wpdb->prefix .'foldio360_images_list';

    if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name) {
        $sql = "CREATE TABLE $table_name (
          id int(20) unsigned NOT NULL auto_increment,
          product_id varchar(100) DEFAULT NULL,
          position int(50) DEFAULT NULL,
          product_title varchar(100) DEFAULT NULL,
          image_id int unsigned NOT NULL,
          title varchar(300) DEFAULT NULL,
          filename varchar(300) DEFAULT NULL,
          url varchar(500) DEFAULT NULL,
          link varchar(500) DEFAULT NULL,
          alt varchar(300) DEFAULT NULL,
          author varchar(300) DEFAULT NULL,
          description varchar(300) DEFAULT NULL,
          caption varchar(300) DEFAULT NULL,
          name varchar(300) DEFAULT NULL,
          status varchar(300) DEFAULT NULL,
          date varchar(300) DEFAULT NULL,
          modified varchar(300) DEFAULT NULL,
          menuOrder varchar(300) DEFAULT NULL,
          mime varchar(300) DEFAULT NULL,
          type varchar(300) DEFAULT NULL,
          subtype varchar(300) DEFAULT NULL,
          icon varchar(500) DEFAULT NULL,
          dateFormatted varchar(300) DEFAULT NULL,
          nonces_update varchar(300) DEFAULT NULL,
          nonces_delete varchar(300) DEFAULT NULL,
          nonces_edit varchar(300) DEFAULT NULL,
          editLink varchar(500) DEFAULT NULL,
          meta varchar(300) DEFAULT NULL,
          authorName varchar(300) DEFAULT NULL,
          filesizeInBytes varchar(300) DEFAULT NULL,
          filesizeHumanReadable varchar(300) DEFAULT NULL,
          context varchar(300) DEFAULT NULL,
          height varchar(300) DEFAULT NULL,
          width varchar(300) DEFAULT NULL,
          orientation varchar(300) DEFAULT NULL,
          sizes_thumbnail_height varchar(300) DEFAULT NULL,
          sizes_thumbnail_width varchar(300) DEFAULT NULL,
          sizes_thumbnail_url varchar(500) DEFAULT NULL,
          sizes_thumbnail_orientation varchar(300) DEFAULT NULL,
          sizes_medium_height varchar(300) DEFAULT NULL,
          sizes_medium_width varchar(300) DEFAULT NULL,
          sizes_medium_url varchar(500) DEFAULT NULL,
          sizes_medium_orientation varchar(300) DEFAULT NULL,
          sizes_full_url varchar(500) DEFAULT NULL,
          sizes_full_height varchar(300) DEFAULT NULL,
          sizes_full_width varchar(300) DEFAULT NULL,
          sizes_full_orientation varchar(300) DEFAULT NULL,
          compat_item varchar(300) DEFAULT NULL,
          compat_meta varchar(300) DEFAULT NULL,
          image_json text DEFAULT NULL,
          is_updated boolean DEFAULT 0,
          UNIQUE KEY id (id));";

        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql );
    }
}

function magictoolbox_WordPress_foldio360_create_teble() {
    global $wpdb;
    $table_name = $wpdb->prefix . 'foldio360_store';
    if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name) {
        $sql = "CREATE TABLE $table_name (
          id int unsigned NOT NULL auto_increment,
          post_id int unsigned NOT NULL,
          name varchar(300) DEFAULT NULL,
          first_img_id int unsigned NOT NULL,
          startimg varchar(10) DEFAULT NULL,
          images LONGTEXT DEFAULT NULL,
          options text DEFAULT NULL,
          additional_options text DEFAULT NULL,
          UNIQUE KEY id (id));";

        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql );
    }
}


function store_360_image_data(){

    global $wpdb;
    $json_decode_images =  json_decode( html_entity_decode( stripslashes ($_POST['files'] ) ) );

    if(!(is_array($_POST) && defined('DOING_AJAX') && DOING_AJAX)) { return; }
    $nonce = isset($_POST['nonce']);
    $id = sanitize_text_field($_POST['post_id']);
    $name = sanitize_text_field($_POST['name']);
    $first_img_id = sanitize_text_field($_POST['first_img_id']);
    $startimg = sanitize_text_field($_POST['startimg']);
    $images = $json_decode_images;
    $options = sanitize_text_field($_POST['options']);
    $additional_options = sanitize_text_field($_POST['additional_options']);
    $shortcodeId = $id;

    /*if ( !wp_verify_nonce( $nonce, 'magic-everywhere' ) ) {
        $result = "\"verification failed\"";
    }*/
    $table_name = $wpdb->prefix . 'foldio360_store';

    $r = $wpdb->insert($table_name, array('post_id' => $id,'name' => $name, 'first_img_id' => $first_img_id, 'startimg' => $startimg, 'images' => json_encode($images), 'options' => $options, 'additional_options' => $additional_options));

    if ($r) {
        $r = $wpdb->insert_id;
    }

    wp_die(wp_json_encode(['success' => true, 'id' => $r]));
}


function get_360_image_data(){
    global $wpdb;
    if(!(is_array($_POST) && defined('DOING_AJAX') && DOING_AJAX)) { return; }
    $nonce = isset($_POST['nonce']);
    $post_id = sanitize_text_field($_POST['post_id']);
    /*if ( !wp_verify_nonce( $nonce, 'magic-everywhere' ) ) {
        $result = "\"verification failed\"";
    }*/
    $table_name = $wpdb->prefix . 'foldio360_store';
    $result = $wpdb->get_results("SELECT * FROM ".$table_name);
    wp_die(wp_json_encode($result));
}


function WordPress_foldio360_activate () {

    magictoolbox_WordPress_foldio360_create_teble();
    magictoolbox_WordPress_foldio360_imageList_create_tebles();
    wordPress_foldio360_shortcode_specific_setting_details_create_tebles();


}

function WordPress_foldio360_deactivate(){
    global $wpdb;

    $tableArray = [
        $wpdb->prefix . "foldio360_store",
        $wpdb->prefix . "foldio360_images_list",
    ];
    /*foreach($tableArray as $table){
        $wpdb->query("DROP TABLE IF EXISTS $table");
    }*/
}

function my_plugin_init() {
   load_plugin_textdomain( 'foldio360', false, 'foldio360/languages' );
}
add_action('init', 'my_plugin_init');
function wpse223259_filter_wp_prepare_attachment_for_js( $response, $attachment, $meta ) {
    global $wpdb;
    $table_name = $wpdb->prefix . 'foldio360_store';
    $image360_data = $wpdb->get_results("SELECT * FROM ".$table_name);
    /*$images = [];
    $db_images = [];*/
    foreach ($image360_data as $data){
        $db_images = json_decode($data->images, true);
        foreach ($db_images as $db_image){

            if($data->first_img_id == $response['id']){
                $response ['customClass'] = 'foldio-selected-image';
                $response ['db_360_img_array'] = $db_images;
                $response['first_img_id'] = $data->first_img_id;
                $response['db_row_id'] = $data->id;
                break;
            }else if($response['id'] == $db_image['id']){
               // $response = [];
                break;
            }
        }
    }
   // echo '<pre>'; print_r($images); die();

    /*foreach ($images as $image){

            if ($response['id'] == $image['id']) {
                $response = ['name' => $image['id']];
                break;
            }
    }*/
   // $response = ($response)?$response:false;

    return $response;

}

add_filter( 'wp_prepare_attachment_for_js', 'wpse223259_filter_wp_prepare_attachment_for_js', 10, 3 );

function update_360_image_data(){
    global $wpdb;
    $table_name = $wpdb->prefix . 'foldio360_store';
    if(!(is_array($_POST) && defined('DOING_AJAX') && DOING_AJAX)) { return; }
    $nonce = isset($_POST['nonce']);
    $id = sanitize_text_field($_POST['id']);
    $images = isset($_POST['files']) ? $_POST['files'] :'';
    $first_img_id = sanitize_text_field($_POST['first_img_id']);

    $data = [ 'images' => json_encode($images), 'first_img_id' => $first_img_id ];
    if(!$images){
        $image_id =  sanitize_text_field($_POST['image_id']);
        $imageData = $wpdb->get_row("select * from ".$table_name." where id = ".$id);
        $image_list = json_decode($imageData->images, true);
        $images = [];
        foreach ($image_list as $image){

            if($image['id']!=$image_id){
                $images[] = $image;
            }
        }
        $data = [ 'images' => json_encode($images) ];
    }

    /*if ( !wp_verify_nonce( $nonce, 'magic-everywhere' ) ) {
        $result = "\"verification failed\"";
    }*/

    $result= $wpdb->update( $table_name,$data,['id' => $id]);
    wp_die(wp_json_encode($result));

}

function delete_360_image_data(){

    global $wpdb;
    if(!(is_array($_POST) && defined('DOING_AJAX') && DOING_AJAX)) { return; }
    $nonce = isset($_POST['nonce']);
    $id = sanitize_text_field($_POST['id']);
   /* if ( !wp_verify_nonce( $nonce, 'magic-everywhere' ) ) {
        $result = "\"verification failed\"";
    }*/
    $table_name = $wpdb->prefix . 'foldio360_store';
    $result =$wpdb->delete($table_name,['id' => $id]);
    wp_die(wp_json_encode($result));
}


add_filter( 'save_post' , 'foldio360_filter_post_data' , '99');



function foldio360_filter_post_data($product_id ) {
    $post_type = get_post_type( $product_id );
    if ($post_type =='product'){
        global $wpdb;
        $table_name = $wpdb->prefix . 'foldio360_images_list';
        $product = wc_get_product($product_id);
        $result= $wpdb->update( $table_name,['product_title'=>$product->get_title()],['product_id' => $product_id]);
        /*if ($_POST['original_post_status']=='publish'){*/
            /*if (isset($product_id)){*/
                $fullScreenMade_chk= isset($_POST['foldio360_specfic_setting_fullScreenMade_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_fullScreenMade_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_fullScreenMade_chk', $fullScreenMade_chk);

                $fullScreenMade= isset($_POST['foldio360_specfic_setting_fullScreenMade']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_fullScreenMade']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_fullScreenMade', $fullScreenMade);

                $SpinSpeed_chk= isset($_POST['foldio360_specfic_setting_SpinSpeed_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_SpinSpeed_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_SpinSpeed_chk', $SpinSpeed_chk);

                $SpinSpeed= isset($_POST['foldio360_specfic_setting_SpinSpeed']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_SpinSpeed']) : '';
                update_post_meta($product_id, 'foldio360_specfic_setting_SpinSpeed', $SpinSpeed);

                $SpinsOnMouseover_chk= isset($_POST['foldio360_specfic_setting_SpinsOnMouseover_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_SpinsOnMouseover_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_SpinsOnMouseover_chk', $SpinsOnMouseover_chk);

                $SpinsOnMouseover= isset($_POST['foldio360_specfic_setting_SpinsOnMouseover']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_SpinsOnMouseover']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_SpinsOnMouseover', $SpinsOnMouseover);

                $MouseWheelSpin_chk= isset($_POST['foldio360_specfic_setting_MouseWheelSpin_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_MouseWheelSpin_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_MouseWheelSpin_chk', $MouseWheelSpin_chk);

                $MouseWheelSpin= isset($_POST['foldio360_specfic_setting_MouseWheelSpin']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_MouseWheelSpin']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_MouseWheelSpin', $MouseWheelSpin);

                $ReverseSpin_chk= isset($_POST['foldio360_specfic_setting_ReverseSpin_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_ReverseSpin_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_ReverseSpin_chk', $ReverseSpin_chk);

                $ReverseSpin = isset($_POST['foldio360_specfic_setting_ReverseSpin']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_ReverseSpin']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_ReverseSpin', $ReverseSpin);

                $autospinLoad_ckh = isset($_POST['foldio360_specfic_setting_AutospinLoad_ckh']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_AutospinLoad_ckh']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_AutospinLoad_ckh', $autospinLoad_ckh);

                $autospinLoad= isset($_POST['foldio360_specfic_setting_AutospinLoad']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_AutospinLoad']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_AutospinLoad', $autospinLoad);

                $momentumSpining_chk= isset($_POST['foldio360_specfic_setting_MomentumSpining_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_MomentumSpining_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_MomentumSpining_chk', $momentumSpining_chk);

                $momentumSpining = isset($_POST['foldio360_specfic_setting_MomentumSpining']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_MomentumSpining']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_MomentumSpining', $momentumSpining);

                $imageLoading_chk = isset($_POST['foldio360_specfic_setting_ImageLoading_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_ImageLoading_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_ImageLoading_chk', $imageLoading_chk);

                $imageLoading = isset($_POST['foldio360_specfic_setting_ImageLoading']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_ImageLoading']) : ' ';
                update_post_meta($product_id, 'foldio360_specfic_setting_ImageLoading', $imageLoading);

                $thumbnailLocation_chk = isset($_POST['foldio360_specfic_setting_ThumbnailLocation_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_ThumbnailLocation_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_ThumbnailLocation_chk', $thumbnailLocation_chk);

                $thumbnailLocation = isset($_POST['foldio360_specfic_setting_ThumbnailLocation']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_ThumbnailLocation']) : '';
                update_post_meta($product_id, 'foldio360_specfic_setting_ThumbnailLocation', $thumbnailLocation);

                $zoom_chk = isset($_POST['foldio360_specfic_setting_Zoom_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_Zoom_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_Zoom_chk', $zoom_chk);

                $zoom = isset($_POST['foldio360_specfic_setting_Zoom']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_Zoom']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_Zoom', $zoom);

                $zoomspeed = isset($_POST['foldio360_specfic_setting_Zoomspeed']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_Zoomspeed']) : '';
                update_post_meta($product_id, 'foldio360_specfic_setting_Zoomspeed', $zoomspeed);

                $rotateIcon_chk = isset($_POST['foldio360_specfic_setting_RotateIcon_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_RotateIcon_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_RotateIcon_chk', $rotateIcon_chk);

                $rotateIcon= isset($_POST['foldio360_specfic_setting_RotateIcon']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_RotateIcon']) : '';
                update_post_meta($product_id, 'foldio360_specfic_setting_RotateIcon', $rotateIcon);

                $thumbnailCrop_chk= isset($_POST['foldio360_specfic_setting_ThumbnailCrop_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_ThumbnailCrop_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_ThumbnailCrop_chk', $thumbnailCrop_chk);

                $thumbnailCrop= isset($_POST['foldio360_specfic_setting_ThumbnailCrop']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_ThumbnailCrop']) : '';
                update_post_meta($product_id, 'foldio360_specfic_setting_ThumbnailCrop', $thumbnailCrop);

                $watermark_chk= isset($_POST['foldio360_specfic_setting_Watermark_chk']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_Watermark_chk']) : 'off';
                update_post_meta($product_id, 'foldio360_specfic_setting_Watermark_chk', $watermark_chk);

                $width= isset($_POST['foldio360_specfic_setting_Width']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_Width']) : ' ';
                update_post_meta($product_id, 'foldio360_specfic_setting_Width', $width);

                $opacity= isset($_POST['foldio360_specfic_setting_Opacity']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_Opacity']) : ' ';
                update_post_meta($product_id, 'foldio360_specfic_setting_Opacity', $opacity);

                $watermarkposition= isset($_POST['foldio360_specfic_setting_watermarkposition']) ? sanitize_textarea_field($_POST['foldio360_specfic_setting_watermarkposition']) : ' ';
                update_post_meta($product_id, 'foldio360_specfic_setting_watermarkposition', $watermarkposition);


                if (isset($_POST['foldio360_setting_Watermark_file_text'])){
                    update_post_meta($product_id, 'foldio360_specfic_setting_Watermark_file', sanitize_text_field($_POST['foldio360_setting_Watermark_file_text']));
                }
                if (isset($_POST['foldio360_specfic_setting_Watermark_file_path'])){
                    update_post_meta($product_id, 'foldio360_specfic_setting_Watermark_file_path', sanitize_text_field($_POST['foldio360_specfic_setting_Watermark_file_path']));
                }
                if (isset($_POST['foldio360_specfic_setting_Watermark_file_name'])){
                    update_post_meta($product_id, 'foldio360_specfic_setting_Watermark_file_name', sanitize_text_field($_POST['foldio360_specfic_setting_Watermark_file_name']));
                }
                $foldio360_on_off_image_list = isset($_POST['foldio360-on-off-image-list']) ? sanitize_textarea_field($_POST['foldio360-on-off-image-list']) : 'off';
                update_post_meta($product_id, 'foldio360-on-off-image-list', $foldio360_on_off_image_list);


    }
}

function specific_setting_enqueue_scripts() {


    if (isset($_GET['post'])){
        $post_id = sanitize_text_field($_GET['post']);
        $fullScreenMade_chk = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_fullScreenMade_chk',true));
        $fullScreenMade = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_fullScreenMade',true));
        $spinSpeed_chk =  esc_html(get_post_meta($post_id,'foldio360_specfic_setting_SpinSpeed_chk',true));
        $spinSpeed = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_SpinSpeed',true));
        $spinsOnMouseover_chk =  esc_html(get_post_meta($post_id,'foldio360_specfic_setting_SpinsOnMouseover_chk',true));
        $spinsOnMouseover = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_SpinsOnMouseover',true));
        $mouseWheelSpin_chk =esc_html(get_post_meta($post_id,'foldio360_specfic_setting_MouseWheelSpin_chk',true));
        $mouseWheelSpin = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_MouseWheelSpin',true));
        $reverseSpin_chk =  esc_html(get_post_meta($post_id,'foldio360_specfic_setting_ReverseSpin_chk',true));
        $reverseSpin= esc_html(get_post_meta($post_id,'foldio360_specfic_setting_ReverseSpin',true));
        $autospinLoad_ckh= esc_html(get_post_meta($post_id,'foldio360_specfic_setting_AutospinLoad_ckh',true));
        $autospinLoad= esc_html(get_post_meta($post_id,'foldio360_specfic_setting_AutospinLoad',true));
        $momentumSpining_chk = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_MomentumSpining_chk',true));
        $momentumSpining=  esc_html(get_post_meta($post_id,'foldio360_specfic_setting_MomentumSpining',true));
        $imageLoading_chk = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_ImageLoading_chk',true));
        $imageLoading = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_ImageLoading',true));
        $thumbnailLocation_chk =  esc_html(get_post_meta($post_id,'foldio360_specfic_setting_ThumbnailLocation_chk',true));
        $thumbnailLocation = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_ThumbnailLocation',true));
        $zoom_chk = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_Zoom_chk',true));
        $zoom= esc_html(get_post_meta($post_id,'foldio360_specfic_setting_Zoom',true));
        $zoomspeed = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_Zoomspeed',true));
        $rotateIcon_chk = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_RotateIcon_chk',true));
        $rotateIcon = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_RotateIcon',true));
        $thumbnailCrop_chk = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_ThumbnailCrop_chk',true));
        $thumbnailCrop = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_ThumbnailCrop',true));
        $watermark_chk = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_Watermark_chk',true));
        $watermark_file = get_post_meta($post_id,'foldio360_specfic_setting_Watermark_file',true);
        $watermark_file_name = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_Watermark_file_name',true));
        $watermark_file_path = get_post_meta($post_id,'foldio360_specfic_setting_Watermark_file_path',true);
        $width = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_Width',true));
        $opacity = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_Opacity',true));
        $watermarkposition = esc_html(get_post_meta($post_id,'foldio360_specfic_setting_watermarkposition',true));

        wp_enqueue_script( 'foldio360-plugin_dir_url', get_stylesheet_directory_uri() . '/js/foldio360.js');
        wp_localize_script( 'foldio360-plugin_dir_url', 'plugin_dir_url', array(
            'url'=>plugin_dir_url(dirname(__FILE__)).'foldio-plugin'
        ));
        wp_enqueue_script( 'foldio360-specific-setting-js', get_stylesheet_directory_uri() . '/js/specificSetting360.js');
        wp_localize_script( 'foldio360-specific-setting-js', 'SpecificSetting', array(
            'fullScreenMade_chk' => $fullScreenMade_chk,
            'fullScreenMade' => $fullScreenMade,
            'spinSpeed_chk' => $spinSpeed_chk,
            'spinSpeed' => $spinSpeed,
            'spinsOnMouseover_chk' => $spinsOnMouseover_chk,
            'spinsOnMouseover' => $spinsOnMouseover,
            'mouseWheelSpin_chk' => $mouseWheelSpin_chk,
            'mouseWheelSpin' => $mouseWheelSpin,
            'reverseSpin_chk' => $reverseSpin_chk,
            'reverseSpin' => $reverseSpin,
            'autospinLoad_ckh' => $autospinLoad_ckh,
            'autospinLoad' => $autospinLoad,
            'momentumSpining_chk' => $momentumSpining_chk,
            'momentumSpining' => $momentumSpining,
            'imageLoading_chk' => $imageLoading_chk,
            'imageLoading' => $imageLoading,
            'thumbnailLocation_chk' => $thumbnailLocation_chk,
            'thumbnailLocation' => $thumbnailLocation,
            'zoom_chk' => $zoom_chk,
            'zoom' => $zoom,
            'zoomspeed' => $zoomspeed,
            'rotateIcon_chk' => $rotateIcon_chk,
            'rotateIcon' => $rotateIcon,
            'thumbnailCrop_chk' => $thumbnailCrop_chk,
            'thumbnailCrop' => $thumbnailCrop,
            'watermark_chk' => $watermark_chk,
            'watermark_file' => $watermark_file,
            'watermark_file_name' => $watermark_file_name,
            'watermark_file_path' => $watermark_file_path,
            'width' => $width,
            'opacity' => $opacity,
            'watermarkposition' => $watermarkposition,
            'settingfullScreenMade' => esc_html(get_option("foldio360_setting_fullScreenMade")),
            'settingSpinSpeed' => esc_html(get_option("foldio360_setting_SpinSpeed")),
            'settingSpinsOnMouseover' => esc_html(get_option("foldio360_setting_SpinsOnMouseover")),
            'settingMouseWheelSpin' => esc_html(get_option("foldio360_setting_MouseWheelSpin")),
            'settingReverseSpin' => esc_html(get_option("foldio360_setting_ReverseSpin")),
            'settingAutospinLoad' => esc_html(get_option("foldio360_setting_AutospinLoad")),
            'settingMomentumSpining' => esc_html(get_option("foldio360_setting_MomentumSpining")),
            'settingImageloading' => esc_html(get_option("foldio360_setting_Imageloading")),
            'settingThumbnailLocation' => esc_html(get_option("foldio360_setting_ThumbnailLocation")),
            'settingZoomcheckbox' => esc_html(get_option("foldio360_setting_Zoomcheckbox")),
            'settingZoomspeed' => esc_html(get_option("foldio360_setting_Zoomspeed")),
            'settingRotate_Icon' => esc_html(get_option("foldio360_setting_Rotate_Icon")),
            'settingThumbnailCrop' => esc_html(get_option("foldio360_setting_ThumbnailCrop")),
            'settingWatermarkFileName' => esc_html(get_option("foldio360_setting_Watermark_file_name")),
            'settingWatermarkFile' => get_option("foldio360_setting_Watermark_file"),
            'settingWidth' => esc_html(get_option("foldio360_setting_Width")),
            'settingOpacity' => esc_html(get_option("foldio360_setting_Opacity")),
            'settingwatermarkposition' => esc_html(get_option("foldio360_setting_watermarkposition")),
            'foldio360ImageSectionOnOff' => esc_html(get_post_meta(sanitize_text_field($_GET['post']),'foldio360-on-off-image-list',true))
        ) );
    }else{
        if (isset($_GET['post'])){
            $post_id = sanitize_text_field($_GET['post']);
        }else{
            $post_id = 0;
        }
        wp_enqueue_script( 'foldio360-specific-setting-js', get_stylesheet_directory_uri() . '/js/specificSetting360.js');
        wp_localize_script( 'foldio360-specific-setting-js', 'SpecificSetting', array(
            'settingfullScreenMade' => esc_html(get_option("foldio360_setting_fullScreenMade")),
            'settingSpinSpeed' => esc_html(get_option("foldio360_setting_SpinSpeed")),
            'settingSpinsOnMouseover' => esc_html(get_option("foldio360_setting_SpinsOnMouseover")),
            'settingMouseWheelSpin' => esc_html(get_option("foldio360_setting_MouseWheelSpin")),
            'settingReverseSpin' => esc_html(get_option("foldio360_setting_ReverseSpin")),
            'settingAutospinLoad' => esc_html(get_option("foldio360_setting_AutospinLoad")),
            'settingMomentumSpining' => esc_html(get_option("foldio360_setting_MomentumSpining")),
            'settingImageloading' => esc_html(get_option("foldio360_setting_Imageloading")),
            'settingThumbnailLocation' => esc_html(get_option("foldio360_setting_ThumbnailLocation")),
            'settingZoomcheckbox' => esc_html(get_option("foldio360_setting_Zoomcheckbox")),
            'settingZoomspeed' => esc_html(get_option("foldio360_setting_Zoomspeed")),
            'settingRotate_Icon' => esc_html(get_option("foldio360_setting_Rotate_Icon")),
            'settingThumbnailCrop' => esc_html(get_option("foldio360_setting_ThumbnailCrop")),
            'settingWatermarkFileName' => esc_html(get_option("foldio360_setting_Watermark_file_name")),
            'settingWatermarkFile' => get_option("foldio360_setting_Watermark_file"),
            'settingWidth' => esc_html(get_option("foldio360_setting_Width")),
            'settingOpacity' => esc_html(get_option("foldio360_setting_Opacity")),
            'settingwatermarkposition' => esc_html(get_option("foldio360_setting_watermarkposition")),
            'foldio360ImageSectionOnOff' => get_post_meta(sanitize_text_field($post_id),'foldio360-on-off-image-list',true)
        ) );
    }

    wp_enqueue_script( 'foldio360shortCodeSpecificSettingJs', get_stylesheet_directory_uri() . '/js/shortCodeSpecificSetting.js');
    wp_localize_script( 'foldio360shortCodeSpecificSettingJs', 'shortCodeSpecificSetting', array(
        'settingfullScreen' => esc_html(get_option("foldio360_setting_fullScreenMade")),
        'settingSpinSpeed' => esc_html(get_option("foldio360_setting_SpinSpeed")),
        'settingSpinsOnMouseover' => esc_html(get_option("foldio360_setting_SpinsOnMouseover")),
        'settingMouseWheelSpin' => esc_html(get_option("foldio360_setting_MouseWheelSpin")),
        'settingReverseSpin' => esc_html(get_option("foldio360_setting_ReverseSpin")),
        'settingAutospinLoad' => esc_html(get_option("foldio360_setting_AutospinLoad")),
        'settingMomentumSpining' => esc_html(get_option("foldio360_setting_MomentumSpining")),
        'settingImageloading' => esc_html(get_option("foldio360_setting_Imageloading")),
        'settingThumbnailLocation' => esc_html(get_option("foldio360_setting_ThumbnailLocation")),
        'settingZoomcheckbox' => esc_html(get_option("foldio360_setting_Zoomcheckbox")),
        'settingZoomspeed' => esc_html(get_option("foldio360_setting_Zoomspeed")),
        'settingRotate_Icon' => esc_html(get_option("foldio360_setting_Rotate_Icon")),
        'settingThumbnailCrop' => esc_html(get_option("foldio360_setting_ThumbnailCrop")),
        'settingWatermarkFileName' => esc_html(get_option("foldio360_setting_Watermark_file_name")),
        'settingWatermarkFile' => get_option("foldio360_setting_Watermark_file"),
        'settingWidth' => esc_html(get_option("foldio360_setting_Width")),
        'settingOpacity' => esc_html(get_option("foldio360_setting_Opacity")),
        'settingwatermarkposition' => esc_html(get_option("foldio360_setting_watermarkposition")),
    ) );
}
add_action('admin_enqueue_scripts', 'specific_setting_enqueue_scripts');

?>
