<?php

    if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

wp_enqueue_style( 'my_foldio-font-awesome', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css' );

?>

<script type="text/javascript">

    'use strict';

    ;( function ( document, window, index )
    {
        var inputs = document.querySelectorAll( '.inputfile' );
        Array.prototype.forEach.call( inputs, function( input )
        {
            var label	= input.nextElementSibling,
                labelVal = label.innerHTML;

            input.addEventListener( 'change', function( e )
            {
                var fileName = '';
                if( this.files && this.files.length > 1 )
                    fileName = ( this.getAttribute( 'data-multiple-caption' ) || '' ).replace( '{count}', this.files.length );
                else
                    fileName = e.target.value.split( '\\' ).pop();

                if( fileName )
                    label.querySelector( 'span#image_file-name' ).innerHTML = fileName;
                else
                    label.innerHTML = labelVal;
            });

// Firefox bug fix
            input.addEventListener( 'focus', function(){ input.classList.add( 'has-focus' ); });
            input.addEventListener( 'blur', function(){ input.classList.remove( 'has-focus' ); });
        });
    }( document, window, 0 ));
</script>
<div id="Foldio360-imagelist-setting-section" class="postbox-container postbox foldio-product-data">
    <!--<button type="button" class="handlediv" aria-expanded="true">
        <span class="screen-reader-text">Toggle panel: Product data</span>
        <span class="toggle-indicator" aria-hidden="true"></span></button>-->

    <h2 class="heading">
        <div class="d-flex align-items-center">
            <span style=""> <?php print __('Foldio 360', 'foldio360') ?></span>
            <div class="on-off-toggle" id="on-off-image-list">
                <label class="switch-light switch-candy">
                    <input type="checkbox" name="foldio360-on-off-image-list" id="foldio360-on-off-image-list">
                    <span class="large-4 columns">
                        <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                        <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                        <a></a>
                        </span>
                </label>

            </div>
            <div id="wp-content-media-buttons" class="wp-media-buttons" style="margin-left: auto; margin-top: 13px;">
                <button type="button" id="foldio_media-btn" class="button add_media" data-editor="content" style="
 margin-bottom: 0px;"><span class="wp-media-buttons-icon wp-image-buttons-icon"></span> Add Images</button></div>
            <div class="components-panel__row"><button id="foldio360_remove_all_img" type="button" class="components-button editor-post-trash button-link-delete is-button is-default is-large button-grey" >Remove All</button></div>

        </div>
    </h2>
    <div class="inside">
        <div class="panel-wrap product_data foldio360_box_cls" id="add-off-gray-bg">
            <div class="off-gray-bg-text">360 image display is currently OFF. <br> To display 360 image, click the ON button on the top-left.</div>



            <span class="type_box hidden"> &mdash;
        <label for="product-type abc">
            <select id="product-type" name="product-type">
                <optgroup label="Product Type">
                <option value="simple" selected='selected'><?php print __('Simple product', 'foldio360') ?></option>
                <option value="grouped"><?php print __('Grouped product', 'foldio360') ?></option>
                <option value="external"><?php print __('External/Affiliate product', 'foldio360') ?></option>
                <option value="variable"><?php print __('Variable product', 'foldio360') ?></option>
            </optgroup>
            </select>
        </label>

        <label for="_virtual" class="show_if_simple tips"
               data-tip="Virtual products are intangible and are not shipped.">
                <?php print __('Virtual:', 'foldio360') ?>
            <input type="checkbox" name="_virtual" id="_virtual"/>
        </label>
        <label for="_downloadable" class="show_if_simple tips"
               data-tip="Downloadable products give access to a file upon purchase.">
                <?php print __('Downloadable:', 'foldio360') ?>
            <input type="checkbox" name="_downloadable" id="_downloadable"/>
        </label>
    </span>

            <ul class="product_data_tabs wc-tabs">
                <li class="image_list_icon image_list_tab" id="image_list_tab">
                    <a href="#imagelist"><span><?php print __('Image List', 'foldio360') ?></span></a>
                </li>
                <li class="advanced_options advanced_tab" id="Specific-Setting">
                    <a href="#setting"><span><?php print __('Specific Setting', 'foldio360') ?></span></a>
                </li>

            </ul>

            <div id="imagelist" class="panel woocommerce_options_panel">

                <!--<div class="notification"><span>Custom settings are currently being applied. Check below options to set specific settings for this 360 image.</span>
                    <button id="specfic_setting_remove_icon" type="button" class="media-modal-close"><span class="media-modal-icon"><span class="screen-reader-text">Close dialog</span></span></button>
                </div>-->

                <div class="uploader-inline" id="uploader-inline">


                    <div class="uploader-inline-content no-upload-message">

                        <div class="upload-ui" id="foldio_image_list_div">
                            <p class="m-0 p-0"><img
                                        src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/import_360img.svg');?>"
                                        style="width: 100px; opacity: .5;
"></p>
                            <h2 class="upload-instructions drop-instructions m-0 p-0"><?php print __('Upload images', 'foldio360') ?></h2>
                            <p class="upload-instructions drop-instructions"></p>
                            <button type="button" class="browser button button-hero" id="foldio_media-btn"
                                    style="display: inline-block; position: relative; z-index: 1;"><?php print __('Select Files', 'foldio360') ?>
                            </button>
                        </div>

                        <div class="upload-inline-status">
                            <div class="media-uploader-status" style="display: none;">
                                <h2><?php print __('Uploading', 'foldio360') ?></h2>
                                <button type="button" class="button-link upload-dismiss-errors"><span
                                            class="screen-reader-text"><?php print __('Dismiss Errors', 'foldio360') ?></span></button>

                                <div class="media-progress-bar">
                                    <div></div>
                                </div>
                                <div class="upload-details">
<span class="upload-count">
<span class="upload-index"></span> / <span class="upload-total"></span>
</span>
                                    <span class="upload-detail-separator">–</span>
                                    <span class="upload-filename"></span>
                                </div>
                                <div class="upload-errors"></div>
                            </div>
                        </div>

                        <div class="post-upload-ui">


                        </div>
                    </div>
                </div>

            </div>
            <div id="setting" class="panel woocommerce_options_panel hidden specific-setting">
                <div class="notification"><span>Custom settings are currently being applied. Check below options to set specific settings for this 360 image.</span>
                    <button id="remove_icon_alertbox" type="button" class="media-modal-close"><span class="media-modal-icon"><span class="screen-reader-text">Close dialog</span></span></button>
                </div>
                <table cellspadding="5" style="width:100%;">
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_fullScreenMade_chk"
                                   id="specfic_setting_fullScreenMade_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="full_screen_mode"><?php print __('Full Screen Mode', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom">
                                <?php print __('Click the Full screen icon on the top-right corner to switch to full-screen mode', 'foldio360') ?>
                        </span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <div class="toggle-demo on-off-toggle">
                                <label class="switch-light switch-candy">
                                    <input type="checkbox" name="foldio360_specfic_setting_fullScreenMade">
                                    <strong class="large-4 columns">
                                    </strong>
                                    <span class="large-4 columns ml-0">
                                <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                <a></a>
                            </span>
                                </label>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_SpinSpeed_chk"
                                   id="specfic_setting_SpinSpeed_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Spin_Speed"><?php print __('Spin Speed', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('Set the screen rotation speed', 'foldio360') ?>
    </span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <select class="sett-flot-section" id="specfic_setting_SpinSpeed"
                                    name="foldio360_specfic_setting_SpinSpeed">
                                <option value="1x"><?php print __('1x', 'foldio360') ?></option>
                                <option value="2x"><?php print __('2x', 'foldio360') ?></option>
                                <option value="3x"><?php print __('3x', 'foldio360') ?></option>
                            </select></td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_SpinsOnMouseover_chk"
                                   id="specfic_setting_SpinsOnMouseover_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Spins_On_Mouseover"><?php print __('Spins On Mouseover', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom">
                                <?php print __('Rotates when the mouse moves without dragging', 'foldio360') ?>
                        </span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <div class="toggle-demo on-off-toggle">
                                <label class="switch-light switch-candy">
                                    <input type="checkbox" name="foldio360_specfic_setting_SpinsOnMouseover">
                                    <strong class="large-4 columns">
                                    </strong>
                                    <span class="large-4 columns ml-0">
                                 <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                 <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                 <a></a>
                            </span>
                                </label>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_MouseWheelSpin_chk"
                                   id="specfic_setting_MouseWheelSpin_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Mouse_Wheel_Spin"><?php print __('Mouse Wheel Spin', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('Turn the mouse wheel to rotate', 'foldio360') ?></span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <div class="toggle-demo on-off-toggle">
                                <label class="switch-light switch-candy">
                                    <input type="checkbox" name="foldio360_specfic_setting_MouseWheelSpin">
                                    <strong class="large-4 columns">
                                    </strong>
                                    <span class="large-4 columns ml-0">
                                        <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                         <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                        <a></a>
                                </span>
                                </label>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_ReverseSpin_chk"
                                   id="specfic_setting_ReverseSpin_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Reverse_Spin"><?php print __('Reverse Spin', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('The image is rotated in a direction opposite to the normal rotation direction', 'foldio360') ?></span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <div class="toggle-demo on-off-toggle">
                                <label class="switch-light switch-candy">
                                    <input type="checkbox" name="foldio360_specfic_setting_ReverseSpin">
                                    <strong class="large-4 columns">
                                    </strong>
                                    <span class="large-4 columns ml-0">
                                       <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                       <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>

                                        <a></a>
                                </span>
                                </label>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_AutospinLoad_ckh"
                                   id="specfic_setting_AutospinLoad_ckh"></td>
                        <td class="content-td1 w-auto h-auto" id="Autospin_Load"><?php print __('Autospin Load', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('When it is first loaded, it rotates once', 'foldio360') ?></span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <div class="toggle-demo  on-off-toggle">
                                <label class="switch-light switch-candy">
                                    <input type="checkbox" name="foldio360_specfic_setting_AutospinLoad">
                                    <strong class="large-4 columns">
                                    </strong>
                                    <span class="large-4 columns ml-0">
                                    <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                     <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>

                                        <a></a>
                                </span>
                                </label>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_MomentumSpining_chk"
                                   id="specfic_setting_MomentumSpining_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Momentum_Spining"><?php print __('Momentum Spining', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('When rotating by drag, it rotates for a certain period of time by inertia and then stops gradually', 'foldio360') ?></span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <div class="toggle-demo on-off-toggle">
                                <label class="switch-light switch-candy">
                                    <input type="checkbox" name="foldio360_specfic_setting_MomentumSpining">
                                    <strong class="large-4 columns">
                                    </strong>
                                    <span class="large-4 columns ml-0">
                                     <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                     <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                      <a></a>
                                </span>
                                </label>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_ImageLoading_chk"
                                   id="specfic_setting_ImageLoading_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Image_Loading"><?php print __('Image Loading', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('Set the loading time of 360 images', 'foldio360') ?>.</span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <select class="sett-flot-section " id="foldio360_specfic_setting_ImageLoading"
                                    name="foldio360_specfic_setting_ImageLoading">
                                <option value="page_loading"><?php print __('Page Loading', 'foldio360') ?></option>
                                <option value="mouseover"><?php print __('Mouseover', 'foldio360') ?></option>
                            </select></td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_ThumbnailLocation_chk"
                                   id="specfic_setting_ThumbnailLocation_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Thumbnail_Location"><?php print __('Thumbnail Location', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('Position of 360 thumbnails on the product screen', 'foldio360') ?>.</span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <select class="sett-flot-section " id="foldio360_specfic_setting_ThumbnailLocation"
                                    name="foldio360_specfic_setting_ThumbnailLocation">
                                <option value="first"><?php print __('First', 'foldio360') ?></option>
                                <option value="last"><?php print __('Last', 'foldio360') ?></option>
                            </select></td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_Zoom_chk"
                                   id="specfic_setting_Zoom_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Zoom"><?php print __('Zoom', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('Set whether zoom is possible', 'foldio360') ?>.</span>
                            </div>
                        </td>
                        <td class="content-td2 w-auto h-auto">
                            <div class="d-flex">
                                <div class="toggle-demo on-off-toggle ">
                                    <label class="switch-light switch-candy">
                                        <input type="checkbox" name="foldio360_specfic_setting_Zoom">
                                        <strong class="large-4 columns">
                                        </strong>
                                        <span class="large-4 columns ml-0">
                                    <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                     <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                     <a></a>
                                </span>
                                    </label>
                                </div>
                                <select class="sett-flot-section" id="foldio360_specfic_setting_Zoomspeed"
                                        name="foldio360_specfic_setting_Zoomspeed" readonly="readonly">
                                    <option value="2x"><?php print __('2x', 'foldio360') ?></option>
                                    <option value="3x"><?php print __('3x', 'foldio360') ?></option>
                                    <option value="5x"><?php print __('5x', 'foldio360') ?></option>
                                </select>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_RotateIcon_chk"
                                   id="specfic_setting_RotateIcon_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Rotate_Icon"><?php print __('Rotate Icon', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('Set an icon indicating that it is possible to rotate after loading and before mouseover', 'foldio360') ?></span>
                            </div>
                        </td>
                        <td id="Rotate_Icon_td3">
                            <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="foldio360SpecficSettingRotateIconNone"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/none.png');?>"></label>
                            <input class="radio" type="radio" id="foldio360SpecficSettingRotateIconNone"
                                   name="foldio360_specfic_setting_RotateIcon" value="none">
                       </span>
                                <p><?php print __('None', 'foldio360') ?></p>
                            </div>
                            <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="foldio360SpecficSettingRotateIconTypeA"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/typeA.png');?>"></label>
                            <input class="radio" type="radio" id="foldio360SpecficSettingRotateIconTypeA"
                                   name="foldio360_specfic_setting_RotateIcon" value="A">
                       </span>
                                <p><?php print __('Type A', 'foldio360') ?></p>
                            </div>
                            <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="foldio360SpecficSettingRotateIconTypeB"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/typeB.png');?>"></label>
                            <input class="radio" type="radio" id="foldio360SpecficSettingRotateIconTypeB"
                                   name="foldio360_specfic_setting_RotateIcon" value="B">
                       </span>
                                <p><?php print __('Type B', 'foldio360') ?></p>
                            </div>

                            <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="foldio360SpecficSettingRotateIconTypeC"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/typeC.png');?>"></label>
                            <input class="radio" type="radio" id="foldio360SpecficSettingRotateIconTypeC"
                                   name="foldio360_specfic_setting_RotateIcon" value="C">
                       </span>
                                <p><?php print __('Type C', 'foldio360') ?></p>
                            </div>
                            <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="foldio360SpecficSettingRotateIconTypeD"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/typeD.png');?>"></label>
                            <input class="radio" type="radio" id="foldio360SpecficSettingRotateIconTypeD"
                                   name="foldio360_specfic_setting_RotateIcon" value="D">
                       </span>
                                <p><?php print __('Type D', 'foldio360') ?></p>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_ThumbnailCrop_chk"
                                   id="specfic_setting_ThumbnailCrop_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Thumbnail_Crop"><?php print __('Thumbnail Crop', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('Set the way to display the uploaded image by cropping it in the product viewer', 'foldio360') ?></span>
                            </div>
                        </td>
                        <td id="ThumbnailCrop_td3">
                            <div class="w-auto float-left d-inline">
                        <span class="rotate-icon-span">
                           <label for="foldio360SpecficSettingThumbnailCrop"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/maximize.png');?>" style="height: 52px"></label>
                            <input class="radio" type="radio" id="foldio360SpecficSettingThumbnailCrop"
                                   name="foldio360_specfic_setting_ThumbnailCrop" value="maximize">
                       </span>
                                <p><?php print __('Maximize', 'foldio360') ?></p>
                            </div>
                            <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="foldio360SpecficSettingThumbnailCropEnsure"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/ensurefit.png');?>"></label>
                            <input class="radio" type="radio" id="foldio360SpecficSettingThumbnailCropEnsure"
                                   name="foldio360_specfic_setting_ThumbnailCrop" value="ensure fit">
                       </span>
                                <p><?php print __('Ensure Fit', 'foldio360') ?></p>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="foldio360_specfic_setting_Watermark_chk"
                                   id="specfic_setting_Watermark_chk"></td>
                        <td class="content-td1 w-auto h-auto" id="Watermark"><?php print __('Watermark', 'foldio360') ?>
                            <div class="tooltip">
                                <i class="fa fa-question-circle" aria-hidden="true"></i>
                                <span class="tooltiptext tooltip-bottom"><?php print __('Insert a watermark on the 360 ​​image', 'foldio360') ?></span>
                            </div>
                        </td>
                        <td class="content-td2" id="Watermark_td3">
                            <!-- <input type="file" id="foldio360_specfic_setting_Watermark_file_name" name="foldio360_specfic_setting_Watermark_file">-->
                            <input type="hidden" name="foldio360_setting_Watermark_file_text" id="Watermark_file_text_1">
                            <input type="hidden" name="foldio360_specfic_setting_Watermark_file_path" id="Watermark_file_path_1">
                            <input type="hidden" name="foldio360_specfic_setting_Watermark_file_name" id="Watermark_file_name_1">
                            <input type="file" name="foldio360_setting_Watermark_file" id="foldio360_specfic_setting_Watermark_file_name" class="inputfile inputfile-6" data-multiple-caption="{count} files selected" multiple />
                            <label style="width: 470px; margin-bottom: 10px;" for="foldio360_specfic_setting_Watermark_file_name">
                                <button id="specfic_setting_remove_icon"  type="button" class="media-modal-close"><span style="padding-left: 0px;" class="media-modal-icon"><span class="screen-reader-text">Close dialog</span></span></button>
                                <span style="width: auto;
    padding-right: 0px;" id="image_file-name"><?php echo esc_html(get_post_meta(sanitize_text_field($_GET['post']),'foldio360_specfic_setting_Watermark_file_name',true)); ?></span>
                                <strong>Select Image</strong>
                                </label>
                            <div class="watermark-width-height">
                                <span><?php print __('Width', 'foldio360') ?></span> <input type="text" name="foldio360_specfic_setting_Width" value="" class="sett-foll-width-fld" id="numberValidation">px
                            </div>
                            <div class="watermark-width-height">
                                <span><?php print __('Opacity', 'foldio360') ?></span> <input type="text" name="foldio360_specfic_setting_Opacity" value="" class="sett-foll-opacity-fld" id="numberValidation">%
                            </div>

                            <div class="w-auto float-left d-inline">
                                                                                <span class="rotate-icon-span">
                                                                                   <label for="foldio360_specfic_setting_Center"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/center.png');?>"></label>
                                                                                    <input class="radio" type="radio" id="foldio360_specfic_setting_Center"
                                                                                           name="foldio360_specfic_setting_watermarkposition" value="center">
                                                                               </span>
                                <p><?php print __('Center', 'foldio360') ?></p>
                            </div>
                            <div class="w-auto float-left d-inline">

                                                                            <span class="rotate-icon-span">
                                                                                   <label for="foldio360_specfic_setting_Left_Top"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/left-top.png');?>"></label>
                                                                                    <input class="radio" type="radio" id="foldio360_specfic_setting_Left_Top"
                                                                                           name="foldio360_specfic_setting_watermarkposition" value="left-top">
                                                                               </span>
                                <p><?php print __('Left-Top', 'foldio360') ?></p>
                            </div>
                            <div class="w-auto float-left d-inline">

                                                                            <span class="rotate-icon-span">
                                                                                   <label for="foldio360_specfic_setting_Right_Top"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/right-top.png');?>"></label>
                                                                                    <input class="radio" type="radio" id="foldio360_specfic_setting_Right_Top"
                                                                                           name="foldio360_specfic_setting_watermarkposition" value="right-top">
                                                                               </span>
                                <p><?php print __('Right-Top', 'foldio360') ?></p>
                            </div>
                            <div class="w-auto float-left d-inline">
                                                                            <span class="rotate-icon-span">
                                                                                   <label for="foldio360_specfic_setting_Left_Bottom"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/left-bottom.png');?>"></label>
                                                                                    <input class="radio" type="radio" id="foldio360_specfic_setting_Left_Bottom"
                                                                                           name="foldio360_specfic_setting_watermarkposition" value="left-bottom">
                                                                               </span>
                                <p><?php print __('Left-Bottom', 'foldio360') ?></p>
                            </div>
                            <div class="w-auto float-left d-inline">
                                                                            <span class="rotate-icon-span">
                                                                                   <label for="foldio360_specfic_setting_Right_Bottom"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/right-bottom.png');?>"></label>
                                                                                    <input class="radio" type="radio" id="foldio360_specfic_setting_Right_Bottom"
                                                                                           name="foldio360_specfic_setting_watermarkposition" value="right-bottom">
                                                                               </span>
                                <p><?php print __('Right-Bottom', 'foldio360') ?></p>
                            </div>
                        </td>
                    </tr>
                </table>
            </div>

            <div class="clear"></div>
        </div>
    </div>
</div>


<div class="foldio-360-modal" id="foldio360-shortcode-newImg-model-editor">
    <button type="button" class="media-modal-close"><span class="media-modal-icon" id="media-modal-shortcode-model-hode-2"><span class="screen-reader-text">Close dialog</span></span></button>
    <div class="foldio-360-modal-content">
        <!-- test-->
        <div id="Foldio360-imagelist-setting-section" class="postbox-container postbox foldio-product-data">
            <!--<button type="button" class="handlediv" aria-expanded="true">
                <span class="screen-reader-text">Toggle panel: Product data</span>
                <span class="toggle-indicator" aria-hidden="true"></span></button>-->

            <h2 class="heading">
                <div class="d-flex align-items-center">
                    <span class="afterbullet" style=""> <?php print __('Foldio 360', 'foldio360') ?></span>

                    <div class="shortcode_image_width">Width<input style="text-align: left!important;" type="text" name="shortcode_image_weight" id="shortcode_image_weight">px</div>

                    <div class="heading-buttons">
                        <div id="wp-content-media-buttons" class="wp-media-buttons" style="margin-left: auto; margin-top: 13px;">
                            <button type="button" id="foldio_media-btn-shortCode" class="button add_media" data-editor="content" style="
                       margin-bottom: 0px;"><span class="wp-media-buttons-icon wp-image-buttons-icon"></span> Add Images</button></div>

                        <div class="components-panel__row"><button id="foldio360_remove_all_img-shortcode" type="button" class="components-button editor-post-trash button-link-delete is-button is-default is-large button-grey">Remove All</button></div>
                    </div>
                    <!--<div class="on-off-toggle" id="on-off-image-list">
                        <label class="switch-light switch-candy">
                            <input type="checkbox" name="foldio360-on-off-image-list" id="foldio360-on-off-image-list">
                            <span class="large-4 columns float-left">
                        <span class="ontxt"><?php /*print __('On', 'foldio360') */?></span>
                        <span class="offtxt"><?php /*print __('Off', 'foldio360') */?></span>
                        <a></a>
                        </span>
                        </label>

                    </div>-->
                    <!--<div id="wp-content-media-buttons" class="wp-media-buttons" style="margin-left: auto;">
                        <button type="button" id="foldio_media-btn" class="button add_media" data-editor="content" style="
 margin-bottom: 0px;"><span class="wp-media-buttons-icon wp-image-buttons-icon"></span> Add Images</button></div>
                    <div class="components-panel__row"><button id="foldio360_remove_all_img" type="button" class="components-button editor-post-trash button-link-delete is-button is-default is-large">Remove All</button></div>-->

                </div>
                <!--<div>Weight<input type="number" name="shortcode_image_weight" id="shortcode_image_weight"> px</div>
                <div id="wp-content-media-buttons" class="wp-media-buttons" style="margin-left: auto;">
                    <button type="button" id="foldio_media-btn-shortCode" class="button add_media" data-editor="content" style="
 margin-bottom: 0px;"><span class="wp-media-buttons-icon wp-image-buttons-icon"></span> Add Images</button></div>

                <div class="components-panel__row"><button id="foldio360_remove_all_img-shortcode" type="button" class="components-button editor-post-trash button-link-delete is-button is-default is-large">Remove All</button></div>-->
            </h2>
            <div class="inside">
                <div class="panel-wrap product_data foldio360_box_cls">




    <span class="type_box hidden"> &mdash;
        <label for="product-type abc">
            <select id="product-type" name="product-type">
                <optgroup label="Product Type">
                <option value="simple" selected='selected'><?php print __('Simple product', 'foldio360') ?></option>
                <option value="grouped"><?php print __('Grouped product', 'foldio360') ?></option>
                <option value="external"><?php print __('External/Affiliate product', 'foldio360') ?></option>
                <option value="variable"><?php print __('Variable product', 'foldio360') ?></option>
            </optgroup>
            </select>
        </label>

        <label for="_virtual" class="show_if_simple tips"
               data-tip="Virtual products are intangible and are not shipped.">
                <?php print __('Virtual:', 'foldio360') ?>
            <input type="checkbox" name="_virtual" id="_virtual"/>
        </label>
        <label for="_downloadable" class="show_if_simple tips"
               data-tip="Downloadable products give access to a file upon purchase.">
                <?php print __('Downloadable:', 'foldio360') ?>
            <input type="checkbox" name="_downloadable" id="_downloadable"/>
        </label>
    </span>

                    <ul class="product_data_tabs wc-tabs">
                        <li class="image_list_icon image_list_tab" id="image_list_tab-shortcode">
                            <a href="#imagelist-shortcodes"><span><?php print __('Image List', 'foldio360') ?></span></a>
                        </li>
                        <li class="advanced_options advanced_tab" id="specific_setting_tab-shortcode">
                            <a href="#setting-shortcode"><span><?php print __('Specific Setting', 'foldio360') ?></span></a>
                        </li>

                    </ul>

                    <div id="imagelist-shortcodes" class="panel woocommerce_options_panel">

                    </div>

                    <div  class="panel woocommerce_options_panel hidden specific-setting specific-setting-shortcode" id="setting-shortcode">
                        <table cellspadding="5" style="width:100%;">
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_fullScreenMade_chk"
                                           id="shortCode_fullScreenMade_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="fullScreenTd"><?php print __('Full Screen Mode', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom">
                                <?php print __('Click the Full screen icon on the top-right corner to switch to full-screen mode', 'foldio360') ?>
                        </span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto" id="fullScreenTdLast">
                                    <div class="toggle-demo on-off-toggle">
                                        <label class="switch-light switch-candy">
                                            <input type="checkbox" name="foldio360_shortCode_fullScreenMade">
                                            <strong class="large-4 columns">
                                            </strong>
                                            <span class="large-4 columns ml-0">
                                <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                <a></a>
                            </span>
                                        </label>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_SpinSpeed_chk"
                                           id="shortCode_SpinSpeed_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="spinSpeedTd"><?php print __('Spin Speed', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('Set the screen rotation speed', 'foldio360') ?>
    </span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto" id="spinSpeedTdLast">
                                    <select class="sett-flot-section" id="shortCode_SpinSpeed"
                                            name="foldio360_shortCode_SpinSpeed">
                                        <option value="1x"><?php print __('1x', 'foldio360') ?></option>
                                        <option value="2x"><?php print __('2x', 'foldio360') ?></option>
                                        <option value="3x"><?php print __('3x', 'foldio360') ?></option>
                                    </select></td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_SpinsOnMouseover_chk"
                                           id="shortCode_SpinsOnMouseover_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="spinsOnMouseoverTd"><?php print __('Spins On Mouseover', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom">
                                <?php print __('Rotates when the mouse moves without dragging', 'foldio360') ?>
                        </span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto" id="spinsOnMouseoverTdLast">
                                    <div class="toggle-demo on-off-toggle">
                                        <label class="switch-light switch-candy">
                                            <input type="checkbox" name="foldio360_shortCode_SpinsOnMouseover">
                                            <strong class="large-4 columns">
                                            </strong>
                                            <span class="large-4 columns ml-0">
                                 <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                 <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                 <a></a>
                            </span>
                                        </label>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_MouseWheelSpin_chk"
                                           id="shortCode_MouseWheelSpin_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="mouseWheelTd"><?php print __('Mouse Wheel Spin', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('Turn the mouse wheel to rotate', 'foldio360') ?></span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto" id="mouseWheelTdLast">
                                    <div class="toggle-demo on-off-toggle">
                                        <label class="switch-light switch-candy">
                                            <input type="checkbox" name="foldio360_shortCode_MouseWheelSpin">
                                            <strong class="large-4 columns">
                                            </strong>
                                            <span class="large-4 columns ml-0">
                                        <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                         <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                        <a></a>
                                </span>
                                        </label>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_ReverseSpin_chk"
                                           id="shortCode_ReverseSpin_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="reverseSpinTd"><?php print __('Reverse Spin', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('The image is rotated in a direction opposite to the normal rotation direction', 'foldio360') ?></span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto" id="reverseSpinTdLast">
                                    <div class="toggle-demo on-off-toggle">
                                        <label class="switch-light switch-candy">
                                            <input type="checkbox" name="foldio360_shortCode_ReverseSpin">
                                            <strong class="large-4 columns">
                                            </strong>
                                            <span class="large-4 columns ml-0">
                                       <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                       <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>

                                        <a></a>
                                </span>
                                        </label>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_AutospinLoad_ckh"
                                           id="shortCode_AutospinLoad_ckh"></td>
                                <td class="content-td1 w-auto h-auto" id="autospinTd"><?php print __('Autospin Load', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('When it is first loaded, it rotates once', 'foldio360') ?></span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto" id="autospinTdLast">
                                    <div class="toggle-demo  on-off-toggle">
                                        <label class="switch-light switch-candy">
                                            <input type="checkbox" name="foldio360_shortCode_AutospinLoad">
                                            <strong class="large-4 columns">
                                            </strong>
                                            <span class="large-4 columns ml-0">
                                    <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                     <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>

                                        <a></a>
                                </span>
                                        </label>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_MomentumSpining_chk"
                                           id="shortCode_MomentumSpining_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="momentumSpiningTd"><?php print __('Momentum Spining', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('When rotating by drag, it rotates for a certain period of time by inertia and then stops gradually', 'foldio360') ?></span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto" id="momentumSpiningTdLast">
                                    <div class="toggle-demo on-off-toggle">
                                        <label class="switch-light switch-candy">
                                            <input type="checkbox" name="foldio360_shortCode_MomentumSpining">
                                            <strong class="large-4 columns">
                                            </strong>
                                            <span class="large-4 columns ml-0">
                                     <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                     <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                      <a></a>
                                </span>
                                        </label>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_ImageLoading_chk"
                                           id="shortCode_ImageLoading_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="imageLoadingTd"><?php print __('Image Loading', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('Set the loading time of 360 images', 'foldio360') ?>.</span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto" id="imageLoadingTdLast">
                                    <select class="sett-flot-section " id="foldio360_shortCode_ImageLoading"
                                            name="foldio360_shortCode_ImageLoading">
                                        <option value="page_loading"><?php print __('Page Loading', 'foldio360') ?></option>
                                        <option value="mouseover"><?php print __('Mouseover', 'foldio360') ?></option>
                                    </select></td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_ThumbnailLocation_chk"
                                           id="shortCode_ThumbnailLocation_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="thumbnailLocationTd"><?php print __('Thumbnail Location', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('Position of 360 thumbnails on the product screen', 'foldio360') ?>.</span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto" id="thumbnailLocationTdLast">
                                    <select class="sett-flot-section " id="foldio360_shortCode_ThumbnailLocation"
                                            name="foldio360_shortCode_ThumbnailLocation">
                                        <option value="first"><?php print __('First', 'foldio360') ?></option>
                                        <option value="last"><?php print __('Last', 'foldio360') ?></option>
                                    </select></td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_Zoom_chk"
                                           id="shortCode_Zoom_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="zoomTd"><?php print __('Zoom', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('Set whether zoom is possible', 'foldio360') ?>.</span>
                                    </div>
                                </td>
                                <td class="content-td2 w-auto h-auto">
                                    <div class="d-flex" id="zoomTdLast">
                                        <div class="toggle-demo on-off-toggle ">
                                            <label class="switch-light switch-candy">
                                                <input type="checkbox" name="foldio360_shortCode_Zoom" id="foldio360_shortCode_Zoom">
                                                <strong class="large-4 columns">
                                                </strong>
                                                <span class="large-4 columns ml-0">
                                    <span class="ontxt"><?php print __('On', 'foldio360') ?></span>
                                     <span class="offtxt"><?php print __('Off', 'foldio360') ?></span>
                                     <a></a>
                                </span>
                                            </label>
                                        </div>
                                        <select class="sett-flot-section" id="shortCode_Zoomspeed"
                                                name="foldio360_shortCode_Zoomspeed">
                                            <option value="2x"><?php print __('2x', 'foldio360') ?></option>
                                            <option value="3x"><?php print __('3x', 'foldio360') ?></option>
                                            <option value="5x"><?php print __('5x', 'foldio360') ?></option>
                                        </select>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_RotateIcon_chk"
                                           id="shortCode_RotateIcon_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="rotateIconTd"><?php print __('Rotate Icon', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('Set an icon indicating that it is possible to rotate after loading and before mouseover', 'foldio360') ?></span>
                                    </div>
                                </td>
                                <td id="rotateIconTdLast">
                                    <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="shortCode_RotateIconNone"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/none.png');?>"></label>
                            <input class="radio" type="radio" id="shortCode_RotateIconNone"
                                   name="foldio360_shortCode_RotateIcon" value="none">
                       </span>
                                        <p><?php print __('None', 'foldio360') ?></p>
                                    </div>
                                    <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="shortCodeRotateIconTypeA"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/typeA.png');?>"></label>
                            <input class="radio" type="radio" id="shortCodeRotateIconTypeA"
                                   name="foldio360_shortCode_RotateIcon" value="A">
                       </span>
                                        <p><?php print __('Type A', 'foldio360') ?></p>
                                    </div>
                                    <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="shortCodeRotateIconTypeB"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/typeB.png');?>"></label>
                            <input class="radio" type="radio" id="shortCodeRotateIconTypeB"
                                   name="foldio360_shortCode_RotateIcon" value="B">
                       </span>
                                        <p><?php print __('Type B', 'foldio360') ?></p>
                                    </div>

                                    <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="shortCodeRotateIconTypeC"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/typeC.png');?>"></label>
                            <input class="radio" type="radio" id="shortCodeRotateIconTypeC"
                                   name="foldio360_shortCode_RotateIcon" value="C">
                       </span>
                                        <p><?php print __('Type C', 'foldio360') ?></p>
                                    </div>
                                    <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="shortCodeRotateIconTypeD"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/typeD.png');?>"></label>
                            <input class="radio" type="radio" id="shortCodeRotateIconTypeD"
                                   name="foldio360_shortCode_RotateIcon" value="D">
                       </span>
                                        <p><?php print __('Type D', 'foldio360') ?></p>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_ThumbnailCrop_chk"
                                           id="shortCode_ThumbnailCrop_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="thumbnailCropTd"><?php print __('Thumbnail Crop', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('Set the way to display the uploaded image by cropping it in the product viewer', 'foldio360') ?></span>
                                    </div>
                                </td>
                                <td id="thumbnailCropTdLast">
                                    <div class="w-auto float-left d-inline">
                        <span class="rotate-icon-span">
                           <label for="shortCodeThumbnailCrop"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/maximize.png');?>" style="height: 52px"></label>
                            <input class="radio" type="radio" id="shortCodeThumbnailCrop"
                                   name="foldio360_shortCode_ThumbnailCrop" value="maximize">
                       </span>
                                        <p><?php print __('Maximize', 'foldio360') ?></p>
                                    </div>
                                    <div class="w-auto float-left d-inline">
                    <span class="rotate-icon-span">
                           <label for="shortCodeThumbnailCropEnsure"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/ensurefit.png');?>"></label>
                            <input class="radio" type="radio" id="shortCodeThumbnailCropEnsure"
                                   name="foldio360_shortCode_ThumbnailCrop" value="ensure fit">
                       </span>
                                        <p><?php print __('Ensure Fit', 'foldio360') ?></p>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td><input type="checkbox" name="foldio360_shortCode_Watermark_chk"
                                           id="shortCode_Watermark_chk"></td>
                                <td class="content-td1 w-auto h-auto" id="watermarkTd"><?php print __('Watermark', 'foldio360') ?>
                                    <div class="tooltip">
                                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                                        <span class="tooltiptext tooltip-bottom"><?php print __('Insert a watermark on the 360 ​​image', 'foldio360') ?></span>
                                    </div>
                                </td>
                                <td style="padding-bottom: 50px !important;" class="content-td2" id="watermarkTdLast">
                                    <!--<input type="file" id="shortCode_Watermark_file_name"name="foldio360_shortCode_Watermark_file">
-->
                                    <input type="file" name="foldio360_shortCode_Watermark_file" id="shortCode_Watermark_file_name" class="inputfile inputfile-6" data-multiple-caption="{count} files selected" accept="image/*"/>
                                    <label style="width: 470px; margin-bottom: 10px;" for="shortCode_Watermark_file_name">
                                        <button id="shortcode_specfic_setting_remove_icon"  type="button" class="media-modal-close"><span class="media-modal-icon" style="padding-left: 0px;"><span class="screen-reader-text">Close dialog</span></span></button>
                                        <span style="width: auto;
    padding-right: 0px;" id="image_file-name" class="shortcode_image_file_name"></span>
                                        <strong>Select Image</strong>
                                        </label>
                                    <div class="watermark-width-height">
                                        <span><?php print __('Width', 'foldio360') ?></span> <input type="text" name="shortCode_Width" value="" class="sett-foll-width-fld">px
                                    </div>
                                    <div class="watermark-width-height">
                                        <span><?php print __('Opacity', 'foldio360') ?></span> <input type="text" name="shortCode_Opacity" value="" class="sett-foll-opacity-fld"> %
                                    </div>
                                    <div class="w-auto float-left d-inline">
                                                            <span class="rotate-icon-span">
                                                               <label for="foldio360_shortCode_Center"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/center.png');?>"></label>
                                                                <input class="radio" type="radio" id="foldio360_shortCode_Center"
                                                                       name="foldio360_shortCode_watermarkposition" value="center">
                                                           </span>
                                        <p><?php print __('Center', 'foldio360') ?></p>
                                    </div>
                                    <div class="w-auto float-left d-inline">

                                                        <span class="rotate-icon-span">
                                                               <label for="foldio360_shortCode_Left_Top"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/left-top.png');?>"></label>
                                                                <input class="radio" type="radio" id="foldio360_shortCode_Left_Top"
                                                                       name="foldio360_shortCode_watermarkposition" value="left-top">
                                                           </span>
                                        <p><?php print __('Left-Top', 'foldio360') ?></p>
                                    </div>
                                    <div class="w-auto float-left d-inline">

                                                        <span class="rotate-icon-span">
                                                               <label for="foldio360_shortCode_Right_Top"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/right-top.png');?>"></label>
                                                                <input class="radio" type="radio" id="foldio360_shortCode_Right_Top"
                                                                       name="foldio360_shortCode_watermarkposition" value="right-top">
                                                           </span>
                                        <p><?php print __('Right-Top', 'foldio360') ?></p>
                                    </div>
                                    <div class="w-auto float-left d-inline">
                                                        <span class="rotate-icon-span">
                                                               <label for="foldio360_shortCode_Left_Bottom"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/left-bottom.png');?>"></label>
                                                                <input class="radio" type="radio" id="foldio360_shortCode_Left_Bottom"
                                                                       name="foldio360_shortCode_watermarkposition" value="left-bottom">
                                                           </span>
                                        <p><?php print __('Left-Bottom', 'foldio360') ?></p>
                                    </div>
                                    <div class="w-auto float-left d-inline">
                                                        <span class="rotate-icon-span">
                                                               <label for="foldio360_shortCode_Right_Bottom"><img src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)).'images/right-bottom.png');?>"></label>
                                                                <input class="radio" type="radio" id="foldio360_shortCode_Right_Bottom"
                                                                       name="foldio360_shortCode_watermarkposition" value="right-bottom">
                                                           </span>
                                        <p><?php print __('Right-Bottom', 'foldio360') ?></p>
                                    </div>

                                </td>
                            </tr>
                        </table>
                    </div>

                    <div class="clear"></div>
                </div>
            </div>
            <div class="insert-360-image-button"><button style="text-align: center;justify-content: center;" type="button" id="360_image_insert_btn" class="button media-button button-primary button-large media-button-select">Save</button></div>

        </div>

    </div>
    <!--<div class="media-frame-toolbar"><div class="media-toolbar"><div class="media-toolbar-secondary"></div><div class="media-toolbar-primary search-form"><button type="button" class="button media-button button-primary button-large media-button-select" disabled="disabled">Drop images</button></div></div></div>-->
</div>

<div class="media-modal-backdrop custom-backdrop"></div>

<div class="foldio-upoad30image-modal load-360-modal" id="foldio-upoad30image-modal">
    <h2 class="heading" style="padding-top: 15px;">
        <div class="d-flex align-items-center">
            <span class="" style=""> Load 360 Product Image</span>

            <div class="heading-buttons">
                <div id="wp-content-media-buttons" class="wp-media-buttons" style="margin-left: auto; margin-top: 13px;">
                    <button type="button" id="foldio_media-btn-shortCode" class="button add_media" data-editor="content" style="margin-bottom: 0px; display: none;"><span class="wp-media-buttons-icon wp-image-buttons-icon"></span> Add Images</button></div>

            </div>

        </div>
    </h2>
    <button type="button" class="media-modal-close"><span class="media-modal-icon" id="foldio-upoad30image-modal-hide"><span class="screen-reader-text">Close dialog</span></span></button>
    <div class="foldio-360-modal-content">
        <div class="ui-widget" style="position: relative">
            <input id="foldio360_upload_img_input" class="ui-autocomplete-input" autocomplete="off" placeholder="Search for a 360 images of product...">
            <div style="padding-left: 10px;
"><div class="tooltip">
                    <i class="fa fa-question-circle" aria-hidden="true"></i>
                    <span class="tooltiptext tooltip-bottom">You can search and load with the title of the product where the 360 image is inserted.</span>
                </div></div>
            <div id="load_360_autocomplete_sugg" style="border: 1px solid #aaaaaa!important;padding: 5px 1em 5px .4em!important;font-size: 13px;height: 29px;box-sizing: border-box;color: #32373c;margin: 0px!important;margin-top: 0px!important;border-radius: 2px;position: absolute;width: 95%;background: white;left: 0px; bottom: -29px;
">Please enter 3 or more characters</div>
        </div>

        <div class="shortcode_image_width">Width<input type="text" name="load_360_image" id="load_360_image">px</div>
        <div class="media-frame-toolbar"><div class="media-toolbar"><div class="media-toolbar-secondary"></div><div class="media-toolbar-primary search-form"><button id="360_image_upload_btn" type="button" class="button media-button button-primary button-large media-button-select button-black" >Insert 360 Image</button></div></div></div>
    </div>
</div>


<div class="media-modal-backdrop custom-backdrop"></div>
